summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorV3n3RiX <venerix@koprulu.sector>2024-10-02 01:26:11 +0100
committerV3n3RiX <venerix@koprulu.sector>2024-10-02 01:26:11 +0100
commitd39b2406e1496a2848b3f450a5737ae3dbd8c6f7 (patch)
tree2f21fa7a75d2873c67fb5d3faab2a0f60fb785ce /dev-python
parent95ce69d324747e9aa715e1761abab42204529b28 (diff)
gentoo auto-resync : 02:10:2024 - 01:26:10
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Faker/Faker-30.1.0.ebuild42
-rw-r--r--dev-python/Faker/Manifest2
-rw-r--r--dev-python/Manifest.gzbin272917 -> 272935 bytes
-rw-r--r--dev-python/aiohappyeyeballs/Manifest2
-rw-r--r--dev-python/aiohappyeyeballs/aiohappyeyeballs-2.4.3.ebuild36
-rw-r--r--dev-python/cfn-lint/Manifest2
-rw-r--r--dev-python/cfn-lint/cfn-lint-1.15.2.ebuild70
-rw-r--r--dev-python/clang-python/Manifest3
-rw-r--r--dev-python/clang-python/clang-python-19.1.1.ebuild54
-rw-r--r--dev-python/fakeredis/Manifest2
-rw-r--r--dev-python/fakeredis/fakeredis-2.25.1.ebuild97
-rw-r--r--dev-python/lit/Manifest3
-rw-r--r--dev-python/lit/lit-19.1.1.ebuild46
-rw-r--r--dev-python/multiprocess/Manifest2
-rw-r--r--dev-python/multiprocess/multiprocess-0.70.17.ebuild34
-rw-r--r--dev-python/pikepdf/Manifest2
-rw-r--r--dev-python/pikepdf/pikepdf-9.3.0.ebuild74
-rw-r--r--dev-python/pymongo/Manifest2
-rw-r--r--dev-python/pymongo/pymongo-4.10.0.ebuild228
-rw-r--r--dev-python/pyproject-metadata/Manifest2
-rw-r--r--dev-python/pyproject-metadata/pyproject-metadata-0.9.0_beta6.ebuild32
-rw-r--r--dev-python/python-tests/Manifest12
-rw-r--r--dev-python/python-tests/python-tests-3.12.6_p4.ebuild69
-rw-r--r--dev-python/python-tests/python-tests-3.12.7.ebuild69
-rw-r--r--dev-python/python-tests/python-tests-3.13.0_rc2_p2.ebuild69
-rw-r--r--dev-python/python-tests/python-tests-3.13.0_rc3.ebuild69
-rw-r--r--dev-python/recurring-ical-events/Manifest4
-rw-r--r--dev-python/recurring-ical-events/recurring-ical-events-3.3.2.ebuild (renamed from dev-python/recurring-ical-events/recurring-ical-events-3.3.0.ebuild)4
-rw-r--r--dev-python/sigstore-protobuf-specs/Manifest2
-rw-r--r--dev-python/sigstore-protobuf-specs/sigstore-protobuf-specs-0.3.3.ebuild23
-rw-r--r--dev-python/sigstore/Manifest2
-rw-r--r--dev-python/sigstore/sigstore-3.3.0-r1.ebuild (renamed from dev-python/sigstore/sigstore-3.3.0.ebuild)2
-rw-r--r--dev-python/spdx-tools/Manifest2
-rw-r--r--dev-python/spdx-tools/spdx-tools-0.8.3.ebuild48
-rw-r--r--dev-python/x-wr-timezone/Manifest2
-rw-r--r--dev-python/x-wr-timezone/x-wr-timezone-1.0.1.ebuild39
36 files changed, 1145 insertions, 6 deletions
diff --git a/dev-python/Faker/Faker-30.1.0.ebuild b/dev-python/Faker/Faker-30.1.0.ebuild
new file mode 100644
index 000000000000..f552cda2d4a8
--- /dev/null
+++ b/dev-python/Faker/Faker-30.1.0.ebuild
@@ -0,0 +1,42 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3 python3_{10..13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A Python package that generates fake data for you"
+HOMEPAGE="
+ https://github.com/joke2k/faker/
+ https://pypi.org/project/Faker/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/python-dateutil-2.4.2[${PYTHON_USEDEP}]
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+ !dev-ruby/faker
+"
+BDEPEND="
+ test? (
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP},tiff]
+ dev-python/validators[${PYTHON_USEDEP}]
+ )
+"
+
+# note: tests are flaky with xdist
+distutils_enable_tests pytest
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=faker.contrib.pytest.plugin
+ epytest
+ epytest --exclusive-faker-session tests/pytest/session_overrides
+}
diff --git a/dev-python/Faker/Manifest b/dev-python/Faker/Manifest
index f86baa681eea..580e677f1abf 100644
--- a/dev-python/Faker/Manifest
+++ b/dev-python/Faker/Manifest
@@ -1,7 +1,9 @@
DIST faker-28.4.1.tar.gz 1794640 BLAKE2B 96a2f16b1d1906c1ae5263f8a2e782417fa6fb8062881d3700bf31b25892f27c612ebb64be925548c848e75e2e90d5761cc20a7b7bdb74119c95dfe3e5b871e5 SHA512 376b8e97ef654477ba549f0de50ef02979bf2595051f1a41b353a44bb734aa75171afa633ea76d3f02cf72f84dd12d268e28a4baba55fcb728fb4cd988b57e6a
DIST faker-29.0.0.tar.gz 1795098 BLAKE2B 96f6ee6166cc4dde4c6c8e1be2ac9cc1f529c5afe371cbb75c264777fdb390aa6dfaf199e6671b9f3e4658937c7fc0953aa31e548d3ea2e7ae948d8e2ced8e7c SHA512 09f46d2693b611277312cd39a5a6b7a40271c7136fd42c8a02c6d55ab10caeddb8d614db81ea76bc37879b21c6bb53297b04b7169410da7d6d183cb1406f60d9
DIST faker-30.0.0.tar.gz 1795010 BLAKE2B 01e93e39bb22db8220400d28f92ad08f4f1f971b7023cd76c6ae5b965800c6f44a0d67d22b48c4ced732b89efa8b7290e94b1a163f164c3f67d1e830174cba4e SHA512 21bd8d4d2ada7c579cad16ed019bce1187427dd1c5806bc97d055ca9e6a2477bbd2fd5861dc60bb1961ff6613fedabdff9cb59b453434fc80bbb52b336b78f89
+DIST faker-30.1.0.tar.gz 1796615 BLAKE2B 448e1361fc397d13898778f32148a0ff6b13dd8ad232a29931ce08a5575986f832adb1167cff5de3a866bfdf5e8b06645bc46643f2b690e82c7d18c721fa84e4 SHA512 53828e30eeff7ffd5ce3b34dbdbe8d0b38b119f58e44dc3f0a5af47df48d8226101fa00dbb08594d03dd0369f7c6067f5f573eaf329133b3a7fdc3846f0e3780
EBUILD Faker-28.4.1.ebuild 945 BLAKE2B ff465988fb90fef2a5c5332ea40d3df26077ca0ef937a00392609a212d303a9292afdb38684e66d7043e3f1c855b34b7a4d7aac58b4216c542c9a6bcdc9e2e4e SHA512 379311c4d16fcbf97a2a621b90d4fc5ba359c249059f0c3e11c1f0e60a3c7d25b8c8223c8d65c54f5fd534c76806c296e225e948545e8d05c1ff054f3d5b7625
EBUILD Faker-29.0.0.ebuild 952 BLAKE2B d916f38dead48afe6a35c9055acdd8a4061901973f8b4bb587d2b6403ecae168880479fa7232cf6140909952b647ca6b298663f84a8f11ab4a52f6c857a1425b SHA512 edeac7681eed700656317e357ebb2f44a4671ef1d523dc101be73c96bdb6978d7656e40fe61ae6a085b584fe55a03d38a41fbef9f63aeec766233e7a4845c324
EBUILD Faker-30.0.0.ebuild 952 BLAKE2B d916f38dead48afe6a35c9055acdd8a4061901973f8b4bb587d2b6403ecae168880479fa7232cf6140909952b647ca6b298663f84a8f11ab4a52f6c857a1425b SHA512 edeac7681eed700656317e357ebb2f44a4671ef1d523dc101be73c96bdb6978d7656e40fe61ae6a085b584fe55a03d38a41fbef9f63aeec766233e7a4845c324
+EBUILD Faker-30.1.0.ebuild 1000 BLAKE2B 910b6c3d4b14ded04e82086e398bddff73202f984bb76ff01f8c99ab255840abc8ba94f0914fc0d7076c0d901ad63364afc03b438884a7b911c957ebf611774d SHA512 f4f4c7f35f518342a00afda816f30a81a9d9b9c1977f45bb2f2e32b698dbbbdb0eacdf5bfe846755d273299410f508e4bb7a898ececf4b2b16ecf2a53fb1c4dc
MISC metadata.xml 498 BLAKE2B c9b7885dc7d34f2263068624a6b07ac6f1ec8078cc11abb6137612ba57edffefc48dae2708284aa83ecc941ebb2d3b8a87a143648e404a0683e75bb6c078f4e2 SHA512 0b385bbbfbb026803526e43c6c43965ff75f42d3ab133603708b187686aac29de508856e5e8ae7622a66b99032efa97f95c21625e10d074c858d8aff7446a312
diff --git a/dev-python/Manifest.gz b/dev-python/Manifest.gz
index 0eda114036fb..99bc7811baf3 100644
--- a/dev-python/Manifest.gz
+++ b/dev-python/Manifest.gz
Binary files differ
diff --git a/dev-python/aiohappyeyeballs/Manifest b/dev-python/aiohappyeyeballs/Manifest
index 12f99d3a1716..a81fbe3243e5 100644
--- a/dev-python/aiohappyeyeballs/Manifest
+++ b/dev-python/aiohappyeyeballs/Manifest
@@ -1,5 +1,7 @@
DIST aiohappyeyeballs-2.4.0.gh.tar.gz 55452 BLAKE2B 11e34818ed652b2904e78c7a48726d68118a6ecb811be8dcd5008acefd96093b8a2bf25bf92ebb79cdac4735100cec9ca05c856034900f8cda93f45be4f4d627 SHA512 8c2e931fa8b0423e1958a45ac5a040f35e9c0c4df7e4bd6662b5c0288fd25f64cce556cb386b27d07c7438b901a3468fa993c929a3b9c221fb5a318e7809db5a
DIST aiohappyeyeballs-2.4.2.gh.tar.gz 57136 BLAKE2B 557eb7de33467f05c1b558367b16a9af9a3435bf290b4df3d5f189aeee2f336fa7b4d6fb1e523f04fcac0ccb382100b4976e6577e9e7227fa7b417589fabf8f8 SHA512 c2c4e585a00ddcbc7007779a8d59ceb0d5ce9dcce4f929efce2453b6cf370834ea29ee60769fd2885111130eaa89c3d2084702cd247141052d37833e370bbf6e
+DIST aiohappyeyeballs-2.4.3.gh.tar.gz 60766 BLAKE2B 5338d9bc4ee714a516c027db2753c885ae76c3418dbfac3a7ac7447e3a868649237c9221d719b3ddb6d9e67f1193533a1c8b2a80fcd3a45bf6046ed434e09859 SHA512 e8ec696c6e5988f86011a6fe65461e97c68ff466568c5071dd6cd62d0b5cb2f17b61bba934b6402bdfc964a8003e5f172b73240fbcfce71fc85afb42915a6080
EBUILD aiohappyeyeballs-2.4.0.ebuild 773 BLAKE2B 66ed0da958fcb6bfdbf447cc7c4a35af19a35c9e88aaa6c634b58fb96e22c60c06741aa966fcf2b69d4719e7a826e1c58c66f728c412607abda043de1e7b45fd SHA512 1141fe88bd707e7bad115762acb3bec3c2c3412e86c2bf589c0f1456ed1b8472355ba8dc4473245525e83c3c7954edf9c992f91611c83e32619ee3b3fe512ac4
EBUILD aiohappyeyeballs-2.4.2.ebuild 780 BLAKE2B b9d02ece68dcc1ecd7d1d7c36759aef29d1648ee0624ee07128416e6d56f891f56af93b3c92cd6ff7a8f9bc800fda68f919fc9e580cb10aab033131c8b8bd08f SHA512 9fb296ab52a193f4c02d15f1e619e8b1573b9ce44d82d02875f569b48db980bf462c3a7fc8a45bdde240bf9fad2ffb2a52bc1653722c593674d9d13a67cb96c2
+EBUILD aiohappyeyeballs-2.4.3.ebuild 780 BLAKE2B b9d02ece68dcc1ecd7d1d7c36759aef29d1648ee0624ee07128416e6d56f891f56af93b3c92cd6ff7a8f9bc800fda68f919fc9e580cb10aab033131c8b8bd08f SHA512 9fb296ab52a193f4c02d15f1e619e8b1573b9ce44d82d02875f569b48db980bf462c3a7fc8a45bdde240bf9fad2ffb2a52bc1653722c593674d9d13a67cb96c2
MISC metadata.xml 387 BLAKE2B c739dc88d077c51dae10eb7aaa84091c6c7904a782ee3eabb12b6167c7e4ae8528b6464612f891eef5f12add728caa66fd30cd93c3b13e022cedae267c1e9f40 SHA512 65973b766dbcbd20b8c25e8e76c4d662bf5478d6c860f8cfd460be8795fbd141c58fed586a678506360af8ac013ec4c2292cc2e1092a5bbd8a3c54160adadb94
diff --git a/dev-python/aiohappyeyeballs/aiohappyeyeballs-2.4.3.ebuild b/dev-python/aiohappyeyeballs/aiohappyeyeballs-2.4.3.ebuild
new file mode 100644
index 000000000000..0aa0cdf41541
--- /dev/null
+++ b/dev-python/aiohappyeyeballs/aiohappyeyeballs-2.4.3.ebuild
@@ -0,0 +1,36 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( pypy3 python3_{10..13} )
+
+inherit distutils-r1
+
+DESCRIPTION="Happy Eyeballs for pre-resolved hosts"
+HOMEPAGE="
+ https://pypi.org/project/aiohappyeyeballs/
+ https://github.com/aio-libs/aiohappyeyeballs/
+"
+SRC_URI="
+ https://github.com/aio-libs/aiohappyeyeballs/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="PSF-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+BDEPEND="
+ test? (
+ >=dev-python/pytest-asyncio-0.23.2[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -p asyncio -o addopts=
+}
diff --git a/dev-python/cfn-lint/Manifest b/dev-python/cfn-lint/Manifest
index ddec6f494dd9..e09da74f799a 100644
--- a/dev-python/cfn-lint/Manifest
+++ b/dev-python/cfn-lint/Manifest
@@ -1,7 +1,9 @@
DIST cfn_lint-1.13.0.tar.gz 2378100 BLAKE2B a1fa12fe13df1f3f8c5e533c138036df7e2eae325641e7fd66a050a3bb81718caf353d867bf7bbc765942a93bb9025a97bd9691a5759f59118296c23daf7466e SHA512 eeec69657907cc145e533c390987f25374e9019a4c493d3a8ad98123f8db9445bac4890cbaef59b15af752d5a3437f75ea1687bc167198aec81ebb0a3c1ab097
DIST cfn_lint-1.14.2.tar.gz 2426350 BLAKE2B 65000d9201e66159d66e374a48cee6bfb330503ecdd72ecf325a3254a31f7fd9d78714b75b69b2e3a763eb4a2cf7eabad1e459dbb2ed4a46a3a21ba8551830b6 SHA512 ea7e558b4cd6ff844f25c88cfa46daefaee34ab10a209f4adc8ccc079bc4c361d917227aa60f747e9e821336ad21a9cdde114a0ce900fdf4f4c49eb7b83635c8
DIST cfn_lint-1.15.1.tar.gz 2341705 BLAKE2B b294be688b45c1c3b8bba3d0c1e706330b9f29a55f8c1f5b146c0c7a964c10d01af1082bace390115298dd327a33e23d1e859ab8dcbb95479496073102efcc14 SHA512 76b6a5a2e5d7088ad55a67e13915b7f3deb7ebd9594c9fe3489368f8c0bad7d86bfc05e7eb76942669d8839f8b3bb2b45bb83d8e6c466f184509d8409c12f4aa
+DIST cfn_lint-1.15.2.tar.gz 2444882 BLAKE2B bb1e47da23087a667cfc3a1a36af962ad0db35332209651a0cf3d235630995ba35d46ababa1aba66587827cf913dfc347418b14c47f797ccf895143ffa8aea80 SHA512 077c1384a49d59bb0379c6ee8e09b8c0fdbb78a3c2c0e47d8b72e078ee4d40715b6ea4bbf7fdd053a6bb0d822a099a190554399d73eb0a31490f475af2ac1dae
EBUILD cfn-lint-1.13.0.ebuild 2173 BLAKE2B 5e4c47efdb2519007e70bb5a736e25ef396631a967b23f6057e450a31358b2bf16fc3d85a30259dd2414e85a185784504b6d330a6568edccb8880d230fb81327 SHA512 da3c99f559c87c3b50c75a2055b1ca0fecc2eaf12f9601460efb853a31569aa081668ae2f300b4f0f1bb551dccba1c1b65bed2aa1cb60bbfbc09295d75cec3fb
EBUILD cfn-lint-1.14.2.ebuild 2176 BLAKE2B 0204895222e1591f9f275af74dcdac3435fa5a6cdf34c46242e63829e40b9f2fcd493db355f11454df539555da529321ebbfff2a7326c9f0a0f40beb8cbf6c43 SHA512 b82cada00e1b5238ed40b0ea35fc3a1f84f3deced456412abcd668b46aa99e29c3a88091cd0252188afdb6cf0fed38846124bf073ba3c794d934dce3a14ce46a
EBUILD cfn-lint-1.15.1.ebuild 2176 BLAKE2B 0204895222e1591f9f275af74dcdac3435fa5a6cdf34c46242e63829e40b9f2fcd493db355f11454df539555da529321ebbfff2a7326c9f0a0f40beb8cbf6c43 SHA512 b82cada00e1b5238ed40b0ea35fc3a1f84f3deced456412abcd668b46aa99e29c3a88091cd0252188afdb6cf0fed38846124bf073ba3c794d934dce3a14ce46a
+EBUILD cfn-lint-1.15.2.ebuild 2176 BLAKE2B 0204895222e1591f9f275af74dcdac3435fa5a6cdf34c46242e63829e40b9f2fcd493db355f11454df539555da529321ebbfff2a7326c9f0a0f40beb8cbf6c43 SHA512 b82cada00e1b5238ed40b0ea35fc3a1f84f3deced456412abcd668b46aa99e29c3a88091cd0252188afdb6cf0fed38846124bf073ba3c794d934dce3a14ce46a
MISC metadata.xml 583 BLAKE2B 9f73e2b92e5cfa2ad59f5c8e5d91bdd3aa9eba3fa722b93b388cffea42020db7e7441bab5749432812934a4514d3e9104e6d897e1d115afa5ed237757bd48c03 SHA512 1866a349855ae4e248498b7aabd6ce4c4e10ea58731df4bfa13500f61dc041da6dbd7420e7d6a78fad46d5cf00bd7ef2d0c4c7d6819a21b3a5031b0d49588a19
diff --git a/dev-python/cfn-lint/cfn-lint-1.15.2.ebuild b/dev-python/cfn-lint/cfn-lint-1.15.2.ebuild
new file mode 100644
index 000000000000..086f03ea08df
--- /dev/null
+++ b/dev-python/cfn-lint/cfn-lint-1.15.2.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="CloudFormation Linter"
+HOMEPAGE="
+ https://github.com/aws-cloudformation/cfn-lint/
+ https://pypi.org/project/cfn-lint/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/aws-sam-translator-1.91.0[${PYTHON_USEDEP}]
+ dev-python/jsonpatch[${PYTHON_USEDEP}]
+ >=dev-python/jschema-to-python-1.2.3[${PYTHON_USEDEP}]
+ <dev-python/jsonschema-5[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.0[${PYTHON_USEDEP}]
+ dev-python/junit-xml[${PYTHON_USEDEP}]
+ <dev-python/networkx-4[${PYTHON_USEDEP}]
+ >dev-python/pyyaml-5.4[${PYTHON_USEDEP}]
+ >=dev-python/regex-2021.7.1[${PYTHON_USEDEP}]
+ >=dev-python/sarif-om-1.0.4[${PYTHON_USEDEP}]
+ >=dev-python/sympy-1.0.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/defusedxml[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin the deps
+ sed -e 's:~=[0-9.]*::' -i pyproject.toml || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # TODO
+ test/unit/module/test_template.py::TestTemplate::test_build_graph
+ # requires git repo
+ test/unit/module/maintenance/test_update_documentation.py::TestUpdateDocumentation::test_update_docs
+ # Internet
+ test/unit/module/formatters/test_formatters.py::TestFormatters::test_sarif_formatter
+ test/unit/module/maintenance/test_update_resource_specs.py::TestUpdateResourceSpecs::test_update_resource_specs_python_3
+ # TODO: it looks as if AWS_DEFAULT_REGION didn't work
+ test/unit/module/core/test_run_cli.py::TestCli::test_bad_config
+ test/unit/module/core/test_run_cli.py::TestCli::test_override_parameters
+ test/unit/module/core/test_run_cli.py::TestCli::test_positional_template_parameters
+ test/unit/module/core/test_run_cli.py::TestCli::test_template_config
+ # different graphviz version?
+ test/unit/module/template/test_template.py::TestTemplate::test_build_graph
+ )
+
+ # from tox.ini
+ local -x AWS_DEFAULT_REGION=us-east-1
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
diff --git a/dev-python/clang-python/Manifest b/dev-python/clang-python/Manifest
index aaa619d7a5f4..ee5864e61e2f 100644
--- a/dev-python/clang-python/Manifest
+++ b/dev-python/clang-python/Manifest
@@ -8,6 +8,8 @@ DIST llvm-project-18.1.8.src.tar.xz 132067260 BLAKE2B a950492f1dbfb874dff63b1ffe
DIST llvm-project-18.1.8.src.tar.xz.sig 566 BLAKE2B 6ab0efc5b38d4483f4e32e8b85774b2edd5d88fdf29f23b88eb0b5130a7a7f0e80549612b025f927e92de4a08ff7c292cff224dbda91a5d598244e98f7ad0fbd SHA512 ddfd1e8a06756759af6cbe488c82a6d6a62ba91f3e8a0eb4cece561321824f5d165b08ed91010588790b76e19790931d2651b24dba8567e3b151d3cb43bec25b
DIST llvm-project-19.1.0.src.tar.xz 141244872 BLAKE2B 972d028599006d528acdb0ff107b30af8bef247a0f174991646d07f0a47e7d237a5a1700ae668a9f4496295535d688eeeebe550669e78b0775aaab044f5b268e SHA512 396b34886f8442eeb5bc23152e8c2577e834d88f1d21a67829f9ca651b77c5ceb32df4e70c34dc1e6fea24abe45fa00f08502628de25fdbf32864f5b9066d23d
DIST llvm-project-19.1.0.src.tar.xz.sig 438 BLAKE2B b044fcc6f331e75f9340e390ef8a95242a7f74e7c9835e67161fc4dd0ba0a8a5400e8ec4efd0fe50d2a9a9d950d0b37d5c0725868f450619b161a36ebded6a67 SHA512 d596d4942750818f489f114ff953a2b27e220abcf132d4d4ce0d910b73dfc283262507fc35cc0b61363c4af22cb9112dd7a662a89ea4b9667827fa1bde6785ed
+DIST llvm-project-19.1.1.src.tar.xz 141244648 BLAKE2B 7c9250f99c8e5ae2097e89269ebf5bfdfb0fba8f67ab934377d24030c985013fe5475d0c9bd6d60a679e169772ad1723bc6e44ff9e4c7aed5627b9f1f1a2477a SHA512 84adab40ffb9ec236dbf203d86c08a0c2c651f98278a9d0936490c7901159eb26eabd3db9316013886b549426d4acb43b75d866f7dc670ab299bf93ba35b1891
+DIST llvm-project-19.1.1.src.tar.xz.sig 438 BLAKE2B 6967194abf6939291abc716f862a46ea7c5e195b98eebc26928a57dbd5034f82a8ecb5b7cc1b7c2428168309308b19df1c7db828703e80d3f7bf578e3542874d SHA512 07bb7bffb2b035417d702ca47be9d5759250f1a2cd57606855027d458ceb972a293b45d3d93bcda195588986acbb5eace60524f4aecdc0da7aeb3a8414c37c31
DIST llvm-project-41f1b467a29d2ca4e35df37c3aa79a0a8c04bc4f.tar.gz 218633363 BLAKE2B 9367923a4257e0ce01cf443eca790a567c6d9224126ebff15849c829f04dbac39aee60de1f28eab71ee4143341105c46466e1983e0f2a1a478e75fd5363a8d02 SHA512 eca094df135f184e2c3a42a3984ac353b7a8286446da80f042aef8047761f5f5cc6eeccb9bff6056ff0ddd1babe31a468e279b028b9618364f88ae9f26053c22
DIST llvm-project-cde7b30268a85a3e7900a31534a97e7eb4de9236.tar.gz 219048549 BLAKE2B 53bdfea814b2cdf60bfdd27f6135b9f9d5156bdc78d22a361214399c5101b6fafaaefb9109377c1d977c67ebcb1feed69d6aaee0f2e38881480d68ac8be9b3d9 SHA512 0def6da5c2443753f37ba40a893b41dd5c7676b7be57102a5a6e820fe4fe235cad1da9a1c0eff1abc4c4ed5cc188522cae23afeddeee1876ea8ffde5c4f33b9f
EBUILD clang-python-15.0.7.ebuild 1202 BLAKE2B b655ab7b2fa3a5334666e42d36e1e7773be8910f5a47fe8792be04fafbc0c9889cf74d5ca4671863b5244b874133bb353feb4b1ac119e52486ac18d3ff7c6760 SHA512 eb99a86e826ff46d78e1f97a7db1c867e0fc4c9d0036de31407d83dc4de1b8cf80e36ba186d6d8a825209bbb4312d7120b96cbf59d6cb5cf598a3ffb754bf75d
@@ -15,6 +17,7 @@ EBUILD clang-python-16.0.6.ebuild 1203 BLAKE2B 7baa638bb302b5b97aea34e62d28035f6
EBUILD clang-python-17.0.6.ebuild 1203 BLAKE2B 13f87c2782967c4fded88a60220b87e9f9f50d9c37543f30ab2b9ae94cdc5f53d2b1fb422e13450df50ecbb0e36f2a531705fd75f021f265e67f67dd08c85eed SHA512 8abd5bdb175a8c24c542dbcbc73617f075e50a555d9da698ae3139414c2fc11b9ee96d42af0829432c0d2f9d3c820683a2ef5946fdc4332f3d06e40466bbb38f
EBUILD clang-python-18.1.8.ebuild 1203 BLAKE2B afd17079dd42d349bc5b0a93415be0f26c5cf4c4e1ad26d9b651a3c179eef5455e68167d4d713cc922b109da3ede6b43221bac5f21b388d6394ce590b8c8920b SHA512 76d9addc51c8dac6d90cbb5e75f9b9e296c6bc6a968edec77c3f78f0e1dfe1acbff8ea5529175cbc621156afeef728355529f505f7ffe113dbe1d2bb83cff8db
EBUILD clang-python-19.1.0.ebuild 1205 BLAKE2B 609f06035ee58685b352f56b62925947fc3cb15f4ca04749256d4d49735443ddc6338c7121157bb722c9a45a60311c262a90a4bbe0ec280c8c6833df210c3b27 SHA512 4b07e79adeafb345896316114ec20ad2443e9b63d28181fe36d44285ed067e2ee73e04425aee255032699bef5e65cced1356967b7dd6f7fd221cbbf03d922057
+EBUILD clang-python-19.1.1.ebuild 1205 BLAKE2B 609f06035ee58685b352f56b62925947fc3cb15f4ca04749256d4d49735443ddc6338c7121157bb722c9a45a60311c262a90a4bbe0ec280c8c6833df210c3b27 SHA512 4b07e79adeafb345896316114ec20ad2443e9b63d28181fe36d44285ed067e2ee73e04425aee255032699bef5e65cced1356967b7dd6f7fd221cbbf03d922057
EBUILD clang-python-20.0.0.9999.ebuild 1170 BLAKE2B c6bb0527431ced05965e35f2f3d0d0c05db4f27c4286d28cc36c0bc0e2e1c704018650840ab6cb7fbb62cb0acc22bc0472f5dd61a4c4c49a8dabdcb14dc35043 SHA512 bda343468b925bea4580582a163413f6ab45354698c2d3ed818d638989f3cd11248fedef0b7da469d1bfe5fa388304718cd091ca0120ee56da0173e582bc58be
EBUILD clang-python-20.0.0_pre20240917.ebuild 1170 BLAKE2B c6bb0527431ced05965e35f2f3d0d0c05db4f27c4286d28cc36c0bc0e2e1c704018650840ab6cb7fbb62cb0acc22bc0472f5dd61a4c4c49a8dabdcb14dc35043 SHA512 bda343468b925bea4580582a163413f6ab45354698c2d3ed818d638989f3cd11248fedef0b7da469d1bfe5fa388304718cd091ca0120ee56da0173e582bc58be
EBUILD clang-python-20.0.0_pre20240924.ebuild 1170 BLAKE2B c6bb0527431ced05965e35f2f3d0d0c05db4f27c4286d28cc36c0bc0e2e1c704018650840ab6cb7fbb62cb0acc22bc0472f5dd61a4c4c49a8dabdcb14dc35043 SHA512 bda343468b925bea4580582a163413f6ab45354698c2d3ed818d638989f3cd11248fedef0b7da469d1bfe5fa388304718cd091ca0120ee56da0173e582bc58be
diff --git a/dev-python/clang-python/clang-python-19.1.1.ebuild b/dev-python/clang-python/clang-python-19.1.1.ebuild
new file mode 100644
index 000000000000..9b3ee513e023
--- /dev/null
+++ b/dev-python/clang-python/clang-python-19.1.1.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..13} )
+inherit llvm.org python-r1
+
+DESCRIPTION="Python bindings for sys-devel/clang"
+HOMEPAGE="https://llvm.org/"
+
+LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+# The module is opening libclang.so directly, and doing some blasphemy
+# on top of it.
+DEPEND="
+ >=sys-devel/clang-${PV}:*
+ !sys-devel/llvm:0[clang(-),python(-)]
+ !sys-devel/clang:0[python(-)]
+"
+RDEPEND="
+ ${DEPEND}
+ ${PYTHON_DEPS}
+"
+BDEPEND="
+ ${PYTHON_DEPS}
+ test? (
+ sys-devel/clang:${LLVM_MAJOR}
+ )
+"
+
+LLVM_COMPONENTS=( clang/bindings/python )
+llvm.org_set_globals
+
+python_test() {
+ # tests rely on results from a specific clang version, so override
+ # the search path
+ local -x CLANG_LIBRARY_PATH=${BROOT}/usr/lib/llvm/${LLVM_MAJOR}/$(get_libdir)
+ local -x CLANG_NO_DEFAULT_CONFIG=1
+ "${EPYTHON}" -m unittest discover -v || die "Tests fail with ${EPYTHON}"
+}
+
+src_test() {
+ python_foreach_impl python_test
+}
+
+src_install() {
+ python_foreach_impl python_domodule clang
+}
diff --git a/dev-python/fakeredis/Manifest b/dev-python/fakeredis/Manifest
index 9223d7d4fb71..661e0efaf32f 100644
--- a/dev-python/fakeredis/Manifest
+++ b/dev-python/fakeredis/Manifest
@@ -1,5 +1,7 @@
DIST fakeredis-2.24.1.tar.gz 143606 BLAKE2B 1f89aed8f7a66c9100748946441d6a6876f1e0795337368fc34a9c89f1c256ddebcbd9b9597f4ff75703c78c3bc60031530423ce358dcc95c1567acec1b9856a SHA512 737ccfee02d05325e752d7cac8fb405937406acac9090709ead76ed8db2e1912f1c0d128a8ea354e78acfae317ec6bccb931f784720a3cd4c84693f9f3607a17
DIST fakeredis-2.25.0.tar.gz 149072 BLAKE2B 2ebe9ed25bbae2bf6011502111c14c056298ba9d195a4b558bc8474833d4b1da552ffb48127ef45d8461ddbee88fd88d18d8cb35846f33e313507edc586572b5 SHA512 77deaa8ef1d6d677cbb48807d10adf1a019c9c6147eba81b467189a0b4c60ab18b3e3f7501914e6ae4b2a7ebb2a304970c74d9b3d295afae875a73a45f34378d
+DIST fakeredis-2.25.1.tar.gz 149463 BLAKE2B a96c54cbbb221cfcf3d2a096fce90807a92f6cbc6ec474c3705058f47db8d37f7f957321c0ea631a116269068618fcbb1e9168fd17404a49611e37c423c2a08c SHA512 999113bb7c2a15ef16d51dc8c8eea906786eaaa102ed8d9d639423852a070c837504e8926bfa32fe7f4b2481d9e8fb0c588c3fe29347642e8984b46f0b2783ca
EBUILD fakeredis-2.24.1.ebuild 2561 BLAKE2B 63536d1b0afe4339b2367a4bde8c701bce5f6936cb7eca8ef7ec2a3d034596d80d0a12518c50fef9571499aa2c7667e0d174b381e3524318af9c5017c3678cf1 SHA512 0a815811b941153b355b4511b8efead834cc77fd15753404effbc76ad003ade914a056478681d1685caafe229ad7145ce9f023f17a1783a987d2cefbd68d0c7f
EBUILD fakeredis-2.25.0.ebuild 2564 BLAKE2B 5663a123c750978dedf54df20abd259808bb7edd5e5cda293e3d8c38b859b1fef03c5e910026777f6d1a781edca9db723a2863b615102bdcd861bd6a7e560736 SHA512 7e39e9dec131ce08c1e973b4b3feac06ce7766161708a0dd9777f74e70a3fde316d73d4631954a25b2358e48548211b348595e2923d498fe9924e866144047a6
+EBUILD fakeredis-2.25.1.ebuild 2564 BLAKE2B 5663a123c750978dedf54df20abd259808bb7edd5e5cda293e3d8c38b859b1fef03c5e910026777f6d1a781edca9db723a2863b615102bdcd861bd6a7e560736 SHA512 7e39e9dec131ce08c1e973b4b3feac06ce7766161708a0dd9777f74e70a3fde316d73d4631954a25b2358e48548211b348595e2923d498fe9924e866144047a6
MISC metadata.xml 373 BLAKE2B 1de33db59658e6190cd0346be58208cae6c9143a52f49dc289e68aaa0d860b5bd68dfb54f2e0b005f60a67f5caa430e2ce94fc69e64bd27e1bbebb07ad29e602 SHA512 24bfcf4919363fef45c182b6de66221e580ee0e9e99ce46e91b767655dc0b6f8a9fa6c3512ba84d1040698c43a0b6a853ad8d63c1ee5fbc00a1d192defb24db5
diff --git a/dev-python/fakeredis/fakeredis-2.25.1.ebuild b/dev-python/fakeredis/fakeredis-2.25.1.ebuild
new file mode 100644
index 000000000000..7dfb54aa0658
--- /dev/null
+++ b/dev-python/fakeredis/fakeredis-2.25.1.ebuild
@@ -0,0 +1,97 @@
+# Copyright 2020-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( pypy3 python3_{10..13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Fake implementation of redis API for testing purposes"
+HOMEPAGE="
+ https://github.com/cunla/fakeredis-py/
+ https://pypi.org/project/fakeredis/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ dev-python/packaging[${PYTHON_USEDEP}]
+ >=dev-python/redis-4.3[${PYTHON_USEDEP}]
+ <dev-python/sortedcontainers-3[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+ ' 3.10)
+"
+BDEPEND="
+ test? (
+ dev-db/redis
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # https://github.com/cunla/fakeredis-py/issues/320
+ sed -i -e '/LICENSE/d' pyproject.toml || die
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # also lupa
+ test/test_aioredis2.py::test_failed_script_error
+ # TODO
+ "test/test_fakeredis.py::test_set_get_nx[StrictRedis]"
+ "test/test_fakeredis.py::test_lpop_count[StrictRedis]"
+ "test/test_fakeredis.py::test_rpop_count[StrictRedis]"
+ "test/test_fakeredis.py::test_zadd_minus_zero[StrictRedis]"
+ "test/test_mixins/test_pubsub_commands.py::test_pubsub_channels[StrictRedis]"
+ test/test_mixins/test_set_commands.py::test_smismember_wrong_type
+ # new redis-server?
+ "test/test_mixins/test_pubsub_commands.py::test_pubsub_shardnumsub[StrictRedis]"
+ # json ext
+ test/test_json/test_json.py
+ test/test_json/test_json_arr_commands.py
+ # tdigest ext?
+ 'test/test_mixins/test_server_commands.py::test_command[FakeStrictRedis]'
+ )
+ local EPYTEST_IGNORE=(
+ # these tests fail a lot...
+ test/test_hypothesis.py
+ )
+ local args=(
+ # tests requiring lupa (lua support)
+ -k 'not test_eval and not test_lua and not test_script'
+ )
+ # Note: this package is not xdist-friendly
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -p asyncio -p pytest_mock "${args[@]}"
+}
+
+src_test() {
+ local redis_pid="${T}"/redis.pid
+ local redis_port=6390
+
+ einfo "Spawning Redis"
+ einfo "NOTE: Port ${redis_port} must be free"
+ "${EPREFIX}"/usr/sbin/redis-server - <<- EOF || die "Unable to start redis server"
+ daemonize yes
+ pidfile ${redis_pid}
+ port ${redis_port}
+ bind 127.0.0.1
+ EOF
+
+ # Run the tests
+ distutils-r1_src_test
+
+ # Clean up afterwards
+ kill "$(<"${redis_pid}")" || die
+}
diff --git a/dev-python/lit/Manifest b/dev-python/lit/Manifest
index 686e3f797362..6a12e0ce2768 100644
--- a/dev-python/lit/Manifest
+++ b/dev-python/lit/Manifest
@@ -8,6 +8,8 @@ DIST llvm-project-18.1.8.src.tar.xz 132067260 BLAKE2B a950492f1dbfb874dff63b1ffe
DIST llvm-project-18.1.8.src.tar.xz.sig 566 BLAKE2B 6ab0efc5b38d4483f4e32e8b85774b2edd5d88fdf29f23b88eb0b5130a7a7f0e80549612b025f927e92de4a08ff7c292cff224dbda91a5d598244e98f7ad0fbd SHA512 ddfd1e8a06756759af6cbe488c82a6d6a62ba91f3e8a0eb4cece561321824f5d165b08ed91010588790b76e19790931d2651b24dba8567e3b151d3cb43bec25b
DIST llvm-project-19.1.0.src.tar.xz 141244872 BLAKE2B 972d028599006d528acdb0ff107b30af8bef247a0f174991646d07f0a47e7d237a5a1700ae668a9f4496295535d688eeeebe550669e78b0775aaab044f5b268e SHA512 396b34886f8442eeb5bc23152e8c2577e834d88f1d21a67829f9ca651b77c5ceb32df4e70c34dc1e6fea24abe45fa00f08502628de25fdbf32864f5b9066d23d
DIST llvm-project-19.1.0.src.tar.xz.sig 438 BLAKE2B b044fcc6f331e75f9340e390ef8a95242a7f74e7c9835e67161fc4dd0ba0a8a5400e8ec4efd0fe50d2a9a9d950d0b37d5c0725868f450619b161a36ebded6a67 SHA512 d596d4942750818f489f114ff953a2b27e220abcf132d4d4ce0d910b73dfc283262507fc35cc0b61363c4af22cb9112dd7a662a89ea4b9667827fa1bde6785ed
+DIST llvm-project-19.1.1.src.tar.xz 141244648 BLAKE2B 7c9250f99c8e5ae2097e89269ebf5bfdfb0fba8f67ab934377d24030c985013fe5475d0c9bd6d60a679e169772ad1723bc6e44ff9e4c7aed5627b9f1f1a2477a SHA512 84adab40ffb9ec236dbf203d86c08a0c2c651f98278a9d0936490c7901159eb26eabd3db9316013886b549426d4acb43b75d866f7dc670ab299bf93ba35b1891
+DIST llvm-project-19.1.1.src.tar.xz.sig 438 BLAKE2B 6967194abf6939291abc716f862a46ea7c5e195b98eebc26928a57dbd5034f82a8ecb5b7cc1b7c2428168309308b19df1c7db828703e80d3f7bf578e3542874d SHA512 07bb7bffb2b035417d702ca47be9d5759250f1a2cd57606855027d458ceb972a293b45d3d93bcda195588986acbb5eace60524f4aecdc0da7aeb3a8414c37c31
DIST llvm-project-41f1b467a29d2ca4e35df37c3aa79a0a8c04bc4f.tar.gz 218633363 BLAKE2B 9367923a4257e0ce01cf443eca790a567c6d9224126ebff15849c829f04dbac39aee60de1f28eab71ee4143341105c46466e1983e0f2a1a478e75fd5363a8d02 SHA512 eca094df135f184e2c3a42a3984ac353b7a8286446da80f042aef8047761f5f5cc6eeccb9bff6056ff0ddd1babe31a468e279b028b9618364f88ae9f26053c22
DIST llvm-project-cde7b30268a85a3e7900a31534a97e7eb4de9236.tar.gz 219048549 BLAKE2B 53bdfea814b2cdf60bfdd27f6135b9f9d5156bdc78d22a361214399c5101b6fafaaefb9109377c1d977c67ebcb1feed69d6aaee0f2e38881480d68ac8be9b3d9 SHA512 0def6da5c2443753f37ba40a893b41dd5c7676b7be57102a5a6e820fe4fe235cad1da9a1c0eff1abc4c4ed5cc188522cae23afeddeee1876ea8ffde5c4f33b9f
EBUILD lit-15.0.7.ebuild 913 BLAKE2B 38afb1ee0c64d7480ccf1c84c6c1ae0e1ff5f75a0b52272b68d50717a338f143214329245bd650e107d8091ffe1bef6b29293a4b47d147122ea6cea64b448b92 SHA512 fc58e9f0ba65f388830a4e935f448126eb61f2dcf6fa40750e6feaf8a5943fb259bd3c1db3877767e4ba9ade75f6204de8a33c14630176a34fa097e522a0a051
@@ -15,6 +17,7 @@ EBUILD lit-16.0.6.ebuild 921 BLAKE2B dcfe57279dff5c6d80fdf5fc115c76c8ae5af3c8c7f
EBUILD lit-17.0.6.ebuild 1022 BLAKE2B c0c1efc62ae127c2abaeb2a7ef4f436d0aca737aeb2dcdb1475eabd8eb08801b916ba7e9687b111e5bcc42ae826981a4c1bda87d935b48876f26ac265186de34 SHA512 4d287525c33b812f748a6f6ff71a26c0607f9e8707299648d7eecc090fe26d4b6c8af6fb338450455c0b2bfac2c6ba06a4008a17c3f5007ee8e473e233941a8b
EBUILD lit-18.1.8.ebuild 1028 BLAKE2B 2849faa88f24be30c89260734e7b4c5ff8091bfff4486f1bb8f0b98f4e4a7c072fd822aaf56ac5ced397ac34cc3391535aecb72bc7a124078ee45431d3741ea0 SHA512 3f2e6f93003e20650d68efc8467b3b1c1634b487d6fca723412fd9b9229909fef56d7fb6425696715c3399d44e27963dc3a6de9a20e76321bf20e9d3839ff64d
EBUILD lit-19.1.0.ebuild 1035 BLAKE2B 72c71b240c838db20d73d99d7cc77c342df723b8bcf91e04a656e6801a12747d31bffb8727693cad71be83a5ad4e1b6c9fd1c848d26078b9bcf5b031add660f3 SHA512 139b11fb31709cd7bb98862176624ff1abae6fcc2d6e6712249a3da97203cdfe6b588121ab5b1d8b589c7c70b93d0bc17e1bc7358c3b92c67a5bcd586ad293c7
+EBUILD lit-19.1.1.ebuild 1035 BLAKE2B 72c71b240c838db20d73d99d7cc77c342df723b8bcf91e04a656e6801a12747d31bffb8727693cad71be83a5ad4e1b6c9fd1c848d26078b9bcf5b031add660f3 SHA512 139b11fb31709cd7bb98862176624ff1abae6fcc2d6e6712249a3da97203cdfe6b588121ab5b1d8b589c7c70b93d0bc17e1bc7358c3b92c67a5bcd586ad293c7
EBUILD lit-20.0.0.9999.ebuild 961 BLAKE2B 80f2289924953263c1c30b9f4e019f707ca6deed804a8c5b980a14701478d700dc1b24944f5a964bfe94174ffb34cd9c864cee70c02cfa3b1b4c025fc8317188 SHA512 ef6e43057ac2e4a2ab482fe48cfb432ab155a23e0d64bbc0d9e451fd00da3c9f17dda4f18ccd2554ab4ac2d5eff2b0df7ce57c2b61cb5145454d9e86eb089e92
EBUILD lit-20.0.0_pre20240917.ebuild 961 BLAKE2B 80f2289924953263c1c30b9f4e019f707ca6deed804a8c5b980a14701478d700dc1b24944f5a964bfe94174ffb34cd9c864cee70c02cfa3b1b4c025fc8317188 SHA512 ef6e43057ac2e4a2ab482fe48cfb432ab155a23e0d64bbc0d9e451fd00da3c9f17dda4f18ccd2554ab4ac2d5eff2b0df7ce57c2b61cb5145454d9e86eb089e92
EBUILD lit-20.0.0_pre20240924.ebuild 961 BLAKE2B 80f2289924953263c1c30b9f4e019f707ca6deed804a8c5b980a14701478d700dc1b24944f5a964bfe94174ffb34cd9c864cee70c02cfa3b1b4c025fc8317188 SHA512 ef6e43057ac2e4a2ab482fe48cfb432ab155a23e0d64bbc0d9e451fd00da3c9f17dda4f18ccd2554ab4ac2d5eff2b0df7ce57c2b61cb5145454d9e86eb089e92
diff --git a/dev-python/lit/lit-19.1.1.ebuild b/dev-python/lit/lit-19.1.1.ebuild
new file mode 100644
index 000000000000..75b7c01e4ef3
--- /dev/null
+++ b/dev-python/lit/lit-19.1.1.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..13} )
+
+inherit distutils-r1 llvm.org
+
+DESCRIPTION="A stand-alone install of the LLVM suite testing tool"
+HOMEPAGE="https://llvm.org/"
+
+LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+# Tests require 'FileCheck' and 'not' utilities (from llvm)
+BDEPEND="
+ test? (
+ dev-python/psutil[${PYTHON_USEDEP}]
+ sys-devel/llvm
+ )
+"
+
+LLVM_COMPONENTS=( llvm/utils/lit )
+llvm.org_set_globals
+
+# TODO: move the manpage generation here (from sys-devel/llvm)
+
+src_prepare() {
+ # flaky test
+ # https://github.com/llvm/llvm-project/issues/72022
+ rm tests/progress-bar.py || die
+
+ cd "${WORKDIR}" || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local -x LIT_PRESERVES_TMP=1
+ local litflags=$(get_lit_flags)
+ ./lit.py ${litflags//;/ } tests || die
+}
diff --git a/dev-python/multiprocess/Manifest b/dev-python/multiprocess/Manifest
index b254d777f20d..596415ac44c1 100644
--- a/dev-python/multiprocess/Manifest
+++ b/dev-python/multiprocess/Manifest
@@ -1,3 +1,5 @@
DIST multiprocess-0.70.16.tar.gz 1772603 BLAKE2B e5d685e3c1343196560175b6b498e7c2758f035d67d0f40c2ab0ef587858d81662ae3242431c4f4fe258a421aa1646e5c76182e0ba3039be2b0ba16b2e23dcec SHA512 8aee5f0cf74ef4a30bcf2337a651a39270f507f9e827647ad3ae50cba688d2920c56331568b8d597b379587c3cb82f5d10d7b96bdba63a0eccc2ec7abccf9863
+DIST multiprocess-0.70.17.tar.gz 1785744 BLAKE2B 5840ff2239c720df571c6fc21e27a6ca193d2a24a4427c6c89dc17b523340293f5969ac3e8f7a5401a602064fbe204bc57d6ddafa2caa337cd06001d3c7ec910 SHA512 7fbc62d793548a58fcfe14dce333c46a75b177180ed402fec3b18bad24f53e965235466ddedc1d7a6551fb79689f97b272e36c1510352e278581f9a08ead09a4
EBUILD multiprocess-0.70.16.ebuild 566 BLAKE2B bcf0a518760653e35416556737fa7a91148c08690b70468d754939634990bdaf37c6c43fb3c7f9c8305690fe65e588a232db707be3aaa86391fb634e4dc325e3 SHA512 940021d5f891623e6eba1bb0db22ae2469a4fcfe3952dc9501fb9241b3c0a98b6124bc40c6f73b825e3e4997529968701173b1c3a22ef5952243f8ab9216bec8
+EBUILD multiprocess-0.70.17.ebuild 665 BLAKE2B 7f5e2ec0e790e7d1fd45bcef9b64dc6f437ffd24d65f7db5957fc939aaff5d6a722074ee9e19a19eeb091241f0ad46a572f1d00366626f7f11b3fccfe0cf7b19 SHA512 cb0fb5f3d57ceb518cfd9db6e3ccb1dfe2bf0ae7de09abe048a551dbff85a82b0267406f11881ac9c0835383a1b0f11d81d5a8b19f0740ac09c7cdb420f286fc
MISC metadata.xml 388 BLAKE2B 90682f15ba194a74837ddf6a209ded65ab8207870d2976c3569cf4f0c4405163cbe7b25b1e0a662963f4ca890c96f7f29a65922e6b7a1cfd06422e8b7a304cd9 SHA512 4b77d39c7ec184288ef0ba90dbc889d29a4ce0bd37c9f9e66a43b8baa3f3ecd56cf122653d8931c3203226a83b8f7d495cdd63923421941eba6bd7d1ce0dc3ff
diff --git a/dev-python/multiprocess/multiprocess-0.70.17.ebuild b/dev-python/multiprocess/multiprocess-0.70.17.ebuild
new file mode 100644
index 000000000000..c1bc58bac6d9
--- /dev/null
+++ b/dev-python/multiprocess/multiprocess-0.70.17.ebuild
@@ -0,0 +1,34 @@
+# Copyright 2023-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Better multiprocessing and multithreading in Python"
+HOMEPAGE="
+ https://github.com/uqfoundation/multiprocess/
+ https://pypi.org/project/multiprocess/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/dill-0.3.9[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/test[${PYTHON_USEDEP}]
+ )
+"
+
+python_test() {
+ "${EPYTHON}" py${EPYTHON#python}/multiprocess/tests/__main__.py -v || die
+}
diff --git a/dev-python/pikepdf/Manifest b/dev-python/pikepdf/Manifest
index 9c93d434e775..18d30236d662 100644
--- a/dev-python/pikepdf/Manifest
+++ b/dev-python/pikepdf/Manifest
@@ -1,7 +1,9 @@
DIST pikepdf-9.1.1.tar.gz 2869514 BLAKE2B b196a61d599db1355695d40ac69e09ea7a020cb10c246685792b7f6f7854b5dce63dd2f675a542fa256ac713c7a7ce49ba7ddd248fbe901fe267641df399ca74 SHA512 0b3c2c89d9226212806791e00470c2c64147f0738d26bfe9c5288414cf515760213e3cdc70a62ef3f53a0ee43b7d8e2cc0076f14fe22bdbac2ff50e0a8984164
DIST pikepdf-9.1.2.tar.gz 2869865 BLAKE2B 74b64d628f12a5335a9dfbe2e15fbbd0a39e266100bcc8b33e94c954aab91150f46649b181bf049cd1084a6d2412ea9485cc57d4d6a23a4678a5ea55ebbb7357 SHA512 676d68f05a506b6aa69e1b01d03164de6731d17b48d2cd4b123221ebe27aef04a75d458c897c53d504a0b3aa7d0bc3e78aaf707a3cfdcdf8d31ee5e537188bd3
DIST pikepdf-9.2.1.tar.gz 2905740 BLAKE2B cee801fcb231f2537ce75555b10d68de9acc62e7824c26a00960293d056ae08dfd79607115ca110204af95bee99b57040ba408d47453636413c1291ba4e8e7cf SHA512 5b99272c3a98499770bb3120ead62ebdda731210e0305ec143809fcea7f978bf5dd4f4f7b90b6392af40b1e2c6e79a83e6a67d54a238fc398e38cf2bd675bc30
+DIST pikepdf-9.3.0.tar.gz 2905550 BLAKE2B 62b3a1d655fb5b3e4d315a3feaeb14a043048c5985f5cf99812c07e1d248ae52cb1734dbd091103f36a3fd5a981c89b57208fb50f5c1081e08e3c20ec728ff9c SHA512 3325ab06c285f8f51c66c3815b15f96b0730e38f8023ce5c1e46818c581c38ab3bd89875e5de6ce1064a5929a8c386740d76e662c82d00d9c46961c56da4f0c0
EBUILD pikepdf-9.1.1.ebuild 1937 BLAKE2B ac620d5fe66545a4671c6bd68f279e07802126712bfcb3aa2786c16d8d47c027abed395cc9a625b120d3ea573ca78cfd671b034764d13c59e28a3dc5249d3bfb SHA512 80cda028c64ec694a052677a48d93825e3bcb08908fd635d54e91d9c635eb0814b35cb799ecaf51df4346acdf2f29beb3e261e77c702d6f1caae784179c45a96
EBUILD pikepdf-9.1.2.ebuild 1939 BLAKE2B d1e3dcebe9e664ed010e29e7cd63174a4b9d21cda7dfeadb160a195c6813da4504047605765fed270002ab9f92f1ad7a64d88289c05ad15d94b6dd68dea8303c SHA512 427e9a0b4f4e9e8a0f568a35dfc86315181073a0e334f8bddb6ebb2a23c777229caa255e61cb48ec0d56e9360a63afdb01332e759654f8782483993b311e2566
EBUILD pikepdf-9.2.1.ebuild 1945 BLAKE2B 601ab7ae08fd87233aab26d5d46341b61413601bb6be55c1bf15c99ac8c8b361d2219c468c327b0d1cbda1ed0f44c81559e1385573e7a3e86805180b46da09cd SHA512 fc3fc41400f77af387ac88df3f2b9011504635e335a0566ba9fe1eb1e5ae9ff23d96ecfc652fc9a6bde055a4bba3993e4e0133abf56690ad56db095622402591
+EBUILD pikepdf-9.3.0.ebuild 1945 BLAKE2B 601ab7ae08fd87233aab26d5d46341b61413601bb6be55c1bf15c99ac8c8b361d2219c468c327b0d1cbda1ed0f44c81559e1385573e7a3e86805180b46da09cd SHA512 fc3fc41400f77af387ac88df3f2b9011504635e335a0566ba9fe1eb1e5ae9ff23d96ecfc652fc9a6bde055a4bba3993e4e0133abf56690ad56db095622402591
MISC metadata.xml 687 BLAKE2B 07c94d9dac5323202f955fd9c1e5a6fc78518a0a6f703c54c73b70e774900c41a4823beb3f8be7068d83878d1e60df0d7e30efd53bbc1ba31019477de82b092f SHA512 1be3ec00342e8079363db0c57f75ae88bd05e873869fbbb27442e9fe98eb6917c55b4eaf03ed22c4c44ca3aec9b84839cbc254202460a3266bbc42ff8f0f84b3
diff --git a/dev-python/pikepdf/pikepdf-9.3.0.ebuild b/dev-python/pikepdf/pikepdf-9.3.0.ebuild
new file mode 100644
index 000000000000..041e2461025b
--- /dev/null
+++ b/dev-python/pikepdf/pikepdf-9.3.0.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..13} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python library to work with pdf files based on qpdf"
+HOMEPAGE="
+ https://github.com/pikepdf/pikepdf/
+ https://pypi.org/project/pikepdf/
+"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="big-endian"
+
+# Check QPDF_MIN_VERSION in pyproject.toml on bumps, as well as
+# https://qpdf.readthedocs.io/en/stable/release-notes.html.
+DEPEND="
+ >=app-text/qpdf-11.5.0:0=
+"
+RDEPEND="
+ ${DEPEND}
+ dev-python/deprecated[${PYTHON_USEDEP}]
+ >=dev-python/lxml-4.0[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ >=dev-python/pillow-10.0.1[lcms,${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/pybind11-2.12.0[${PYTHON_USEDEP}]
+ >=dev-python/setuptools-scm-7.0.5[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/attrs-20.2.0[${PYTHON_USEDEP}]
+ >=dev-python/hypothesis-6.36[${PYTHON_USEDEP}]
+ >=dev-python/numpy-1.21.0[${PYTHON_USEDEP}]
+ >=dev-python/pillow-5.0.0[${PYTHON_USEDEP},jpeg,lcms,tiff]
+ >=dev-python/psutil-5.9[${PYTHON_USEDEP}]
+ >=dev-python/pytest-timeout-2.1.0[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.8.1[${PYTHON_USEDEP}]
+ !big-endian? (
+ >=dev-python/python-xmp-toolkit-2.0.1[${PYTHON_USEDEP}]
+ )
+ $(python_gen_cond_dep '
+ dev-python/tomli[${PYTHON_USEDEP}]
+ ' 3.10)
+ media-libs/tiff[zlib]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ sed -e '/-n auto/d' -i pyproject.toml || die
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # fragile to system load
+ tests/test_image_access.py::test_random_image
+ tests/test_image_access.py::test_image_save_compare
+ tests/test_image_access.py::test_palette_nonrgb
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -p timeout
+}
diff --git a/dev-python/pymongo/Manifest b/dev-python/pymongo/Manifest
index 741dd9c7dde7..1fb7d0fe4ec5 100644
--- a/dev-python/pymongo/Manifest
+++ b/dev-python/pymongo/Manifest
@@ -1,6 +1,8 @@
+DIST mongo-python-driver-4.10.0.gh.tar.gz 1948389 BLAKE2B 19429aad69baa013226a4b36de5c654fe074bdb39a462d588a1a4298a35fd8bbf941d8189dbe632e25619fb691a960c98988e205e82796ec1572d2dc63379b2d SHA512 3153e97ad6e749a35d071ef91eb870be76d75f404526e5275cc5ab19470f09a8450debba519cb10bd79191d1b1dd8cfc04882b1d7ef4898471b14bf131fa8c83
DIST mongo-python-driver-4.7.2.gh.tar.gz 1548375 BLAKE2B a40dbe153f36cdf2836583aa0116f447d08376ce7980a09d0f21cea37a34ab318e5ff0b34b7fe1721cf7fc5d5443a1dbe0982d59cb941b0da8a4a99abdc7b19d SHA512 1de8bd14301e365eb53252dedaaaf8c9056dd534662543e2a500511e5f5f67a69e1f11a8a8575efdbd8852bb47b632d59762f66024d32973d20dc17c4448b9be
DIST mongo-python-driver-4.8.0.gh.tar.gz 1550149 BLAKE2B 9462480b17f3da54918883fbcb28a4324e6a00a9c2c34b16267ebcd378170f7fd34ec7290f7a0e3c4c38a5f1f803428cb6a0c64a562d956b3a19c37130697012 SHA512 17513a278187424fea1876d288651e385be759f23eebceca8d04a15182b15ffd64956193bb53e4a90e8b2197c2ebbade274737091f5d2e5fb4398539674c41df
DIST mongo-python-driver-4.9.1.gh.tar.gz 1937311 BLAKE2B 9312c7df50f86dad7dd713b34aba0a87dd9f878b115b3c00ae9e0825c883c869f57e0d55d552b1b4bf9715930840a540572b451d296e185085c4c0c707855811 SHA512 e616418c90088bfc328505dea315a225bfcc942fa29dcc348d3b80d0fb329b7e8fe9d6164c0e13a0562e6126535cc7d04c2cf497a39a04071f6db8af3c8ed1f1
+EBUILD pymongo-4.10.0.ebuild 6852 BLAKE2B 8f7f4d5d2f2899a5156b930223e699c9c150bd86521d97a57dfd00a0d4393ecb62a1b818457844c1caf24cc95591853b63427058fc61c924384f174933414db6 SHA512 f79923f2a0e3e64df6fcaa8512cbe417d1f62823de148fe12d6b4a9f3293774d6ed1ff745097c86dcb997f009262452ee2506afecfd63bd6d81428e42fff9c8e
EBUILD pymongo-4.7.2.ebuild 5267 BLAKE2B 1045523964d4f0482bb1fd5c57841684479dae05b9135f873008d41de4163834bbc1d6d0249e183aec0e5f7751ea7740d2dc05ae0ec69048f1b24e5d1f215675 SHA512 3e19264bd6944e334d673ac0303e738dccd61b68e9b9d7e9cdd06eeea811d52cc5206d4e8ff57e88cf928ac5b47cc69a77bd5dc18aab801b2db8dcbe894f4456
EBUILD pymongo-4.8.0.ebuild 5839 BLAKE2B add017703bd0be4c70abe7791ed3cf19453ab63f04d61e0b8139e6f59677ebaf002118b0e055ac23cb4e56c67033326abb16c73d76827698719e10900cebb90e SHA512 6e4ec05b25bfafd953d8254b6ceaf28fa5784cda21af76a9b27329af2a909aca7d43d242514b1b2dfb7db294e43eee17c15ad26bd73ed0c4fcc382e9cc7205c2
EBUILD pymongo-4.9.1.ebuild 6852 BLAKE2B 8f7f4d5d2f2899a5156b930223e699c9c150bd86521d97a57dfd00a0d4393ecb62a1b818457844c1caf24cc95591853b63427058fc61c924384f174933414db6 SHA512 f79923f2a0e3e64df6fcaa8512cbe417d1f62823de148fe12d6b4a9f3293774d6ed1ff745097c86dcb997f009262452ee2506afecfd63bd6d81428e42fff9c8e
diff --git a/dev-python/pymongo/pymongo-4.10.0.ebuild b/dev-python/pymongo/pymongo-4.10.0.ebuild
new file mode 100644
index 000000000000..286a8d403b6a
--- /dev/null
+++ b/dev-python/pymongo/pymongo-4.10.0.ebuild
@@ -0,0 +1,228 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( pypy3 python3_{10..13} )
+
+inherit check-reqs distutils-r1
+
+MY_P=mongo-python-driver-${PV}
+DESCRIPTION="Python driver for MongoDB"
+HOMEPAGE="
+ https://github.com/mongodb/mongo-python-driver/
+ https://pypi.org/project/pymongo/
+"
+SRC_URI="
+ https://github.com/mongodb/mongo-python-driver/archive/${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="doc kerberos +native-extensions +test-full"
+
+RDEPEND="
+ <dev-python/dnspython-3.0.0[${PYTHON_USEDEP}]
+ kerberos? ( dev-python/kerberos[${PYTHON_USEDEP}] )
+"
+BDEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ test-full? (
+ >=dev-db/mongodb-2.6.0
+ )
+ )
+"
+
+distutils_enable_sphinx doc
+distutils_enable_tests pytest
+
+reqcheck() {
+ if use test && use test-full; then
+ # During the tests, database size reaches 1.5G.
+ local CHECKREQS_DISK_BUILD=1536M
+
+ check-reqs_${1}
+ fi
+}
+
+pkg_pretend() {
+ reqcheck pkg_pretend
+}
+
+pkg_setup() {
+ reqcheck pkg_setup
+}
+
+src_prepare() {
+ distutils-r1_src_prepare
+ # we do not want hatch-requirements-txt and its ton of NIH deps
+ sed -i -e '/requirements/d' pyproject.toml || die
+}
+
+python_compile() {
+ # causes build errors to be fatal
+ local -x TOX_ENV_NAME=whatever
+ local DISTUTILS_ARGS=()
+ # unconditionally implicitly disabled on pypy3
+ if ! use native-extensions; then
+ export NO_EXT=1
+ else
+ export PYMONGO_C_EXT_MUST_BUILD=1
+ unset NO_EXT
+ fi
+
+ distutils-r1_python_compile
+}
+
+python_test() {
+ rm -rf bson pymongo || die
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local EPYTEST_DESELECT=(
+ # network-sandbox
+ test/asynchronous/test_client.py::AsyncClientUnitTest::test_connection_timeout_ms_propagates_to_DNS_resolver
+ test/asynchronous/test_client.py::AsyncClientUnitTest::test_detected_environment_logging
+ test/asynchronous/test_client.py::AsyncClientUnitTest::test_detected_environment_warning
+ test/asynchronous/test_client.py::TestClient::test_service_name_from_kwargs
+ test/asynchronous/test_client.py::TestClient::test_srv_max_hosts_kwarg
+ test/test_client.py::ClientUnitTest::test_connection_timeout_ms_propagates_to_DNS_resolver
+ test/test_client.py::ClientUnitTest::test_detected_environment_logging
+ test/test_client.py::ClientUnitTest::test_detected_environment_warning
+ test/test_client.py::TestClient::test_service_name_from_kwargs
+ test/test_client.py::TestClient::test_srv_max_hosts_kwarg
+ test/test_dns.py::TestCaseInsensitive::test_connect_case_insensitive
+ test/test_srv_polling.py
+ test/test_uri_spec.py::TestAllScenarios::test_test_uri_options_srv-options_SRV_URI_with_custom_srvServiceName
+ test/test_uri_spec.py::TestAllScenarios::test_test_uri_options_srv-options_SRV_URI_with_invalid_type_for_srvMaxHosts
+ test/test_uri_spec.py::TestAllScenarios::test_test_uri_options_srv-options_SRV_URI_with_negative_integer_for_srvMaxHosts
+ test/test_uri_spec.py::TestAllScenarios::test_test_uri_options_srv-options_SRV_URI_with_positive_srvMaxHosts_and_loadBalanced=fa
+ test/test_uri_spec.py::TestAllScenarios::test_test_uri_options_srv-options_SRV_URI_with_srvMaxHosts
+ test/test_uri_spec.py::TestAllScenarios::test_test_uri_options_srv-options_SRV_URI_with_srvMaxHosts=0_and_loadBalanced=true
+ test/test_uri_spec.py::TestAllScenarios::test_test_uri_options_srv-options_SRV_URI_with_srvMaxHosts=0_and_replicaSet
+
+ # broken regularly by changes in mypy
+ test/test_typing.py::TestMypyFails::test_mypy_failures
+
+ # fragile to timing? fails because we're getting too many logs
+ test/test_connection_logging.py::TestConnectionLoggingConnectionPoolOptions::test_maxConnecting_should_be_included_in_connection_pool_created_message_when_specified
+
+ # hangs?
+ test/asynchronous/test_grid_file.py::AsyncTestGridFile::test_small_chunks
+ )
+
+ local run_separately=(
+ # need to run some tests separately and then restart mongodb
+ # to prevent it from crashing
+ # https://bugs.gentoo.org/934389
+ # note that this list must not overlap with EPYTEST_DESELECT
+ test/test_bulk.py
+ test/test_change_stream.py
+ test/test_collection.py
+ test/test_crud_unified.py
+ test/test_gridfs.py
+ test/test_gridfs_bucket.py
+ )
+ local run_separately2=(
+ test/test_command_monitoring.py
+ test/test_connection_monitoring.py
+ test/test_cursor.py
+ test/test_database.py
+ test/test_grid_file.py
+ test/test_monitoring.py
+ )
+ local run_separately_async=(
+ test/asynchronous/test_database.py
+ test/asynchronous/test_grid_file.py
+ )
+
+ if ! use test-full; then
+ # .invalid is guaranteed to return NXDOMAIN per RFC 6761
+ local -x DB_IP=mongodb.invalid
+ epytest
+ return
+ fi
+
+ # Yes, we need TCP/IP for that...
+ local -x DB_IP=127.0.0.1
+ local -x DB_PORT=27000
+
+ local dbpath=${TMPDIR}/mongo.db
+ local logpath=${TMPDIR}/mongod.log
+
+ local stage failed=
+ for stage in {1..5}; do
+ # Now, the hard part: we need to find a free port for mongod.
+ # We're just trying to run it random port numbers and check the log
+ # for bind errors. It shall be noted that 'mongod --fork' does not
+ # return failure when it fails to bind.
+
+ mkdir -p "${dbpath}" || die
+ while true; do
+ ebegin "Trying to start mongod on port ${DB_PORT}"
+
+ LC_ALL=C \
+ mongod --dbpath "${dbpath}" --nojournal \
+ --bind_ip ${DB_IP} --port ${DB_PORT} \
+ --unixSocketPrefix "${TMPDIR}" \
+ --logpath "${logpath}" --fork \
+ && sleep 2
+
+ # Now we need to check if the server actually started...
+ if [[ ${?} -eq 0 && -S "${TMPDIR}"/mongodb-${DB_PORT}.sock ]]; then
+ # yay!
+ eend 0
+ break
+ elif grep -q 'Address already in use' "${logpath}"; then
+ # ay, someone took our port!
+ eend 1
+ : $(( DB_PORT += 1 ))
+ continue
+ else
+ eend 1
+ eerror "Unable to start mongod for tests. See the server log:"
+ eerror " ${logpath}"
+ die "Unable to start mongod for tests."
+ fi
+ done
+
+ local async=( -p asyncio -m default_async )
+ local def=( -p asyncio -m "default or encryption" )
+ case ${stage} in
+ 1)
+ nonfatal epytest "${def[@]}" "${run_separately[@]}" || failed=1
+ ;;
+ 2)
+ nonfatal epytest "${def[@]}" "${run_separately2[@]}" || failed=1
+ ;;
+ 3)
+ EPYTEST_DESELECT+=(
+ "${run_separately[@]}"
+ "${run_separately2[@]}"
+ )
+ nonfatal epytest "${def[@]}" || failed=1
+ ;;
+ 4)
+ nonfatal epytest "${async[@]}" "${run_separately_async[@]}" || failed=1
+ ;;
+ 5)
+ EPYTEST_DESELECT+=(
+ "${run_separately_async[@]}"
+ )
+ nonfatal epytest "${async[@]}" || failed=1
+ ;;
+ esac
+
+ mongod --dbpath "${dbpath}" --shutdown || die
+ done
+
+ [[ ${failed} ]] && die "Tests fail with ${EPYTHON}"
+
+ rm -rf "${dbpath}" || die
+}
diff --git a/dev-python/pyproject-metadata/Manifest b/dev-python/pyproject-metadata/Manifest
index a322489af1e5..b3ff5db934bc 100644
--- a/dev-python/pyproject-metadata/Manifest
+++ b/dev-python/pyproject-metadata/Manifest
@@ -1,7 +1,9 @@
DIST pyproject_metadata-0.8.0.tar.gz 14862 BLAKE2B 03c9a7fc9c53c56b27ea5c72789db10aa045d239c81bf30e926c0ed44d6b61028a27c4dbe02a40eb4ae7ce4a93efb24c63dd4b66f2e98f185fc68d96e96c350a SHA512 e3ec79bcb066fd952a7e88b62534775746b20a52b9952a303e80466c465e394264b8984ca30a1461cd8437334ae7b1a299be7d8036e99e3dcf59828d70650442
DIST pyproject_metadata-0.9.0b4.tar.gz 21975 BLAKE2B c80494dcb30bc40c5b64522a79343151750324907382448fedc449830ef14ea9cd74a2fb4a8ce663a95052b91b04354b736274d7149eb116862bd4757b6b9a09 SHA512 f8e023a88fe60278924fd839c69b3c9def8707c5a619aa24898677b9d1aec79c8b4513dbcbbb80a610dc033621ead8bc23840c921836d1e35d3d0605874be757
DIST pyproject_metadata-0.9.0b5.tar.gz 26016 BLAKE2B 63586f314884f7b088abe9602582131aa45808a624006d508c234c801ada9eb117d42e29f4e3db4e73cc6fcc69e3f3b9f6469749e4614568e6bc25cbe7b36acb SHA512 5e9603d6b826ad52c2490afa107fd22ab8b78fc5e7f3dc220822df69a34f6845ee35c7cf167029250fedf62dea8162203579bcb879e182183485bfaacdc3bb50
+DIST pyproject_metadata-0.9.0b6.tar.gz 28932 BLAKE2B f82d1df56056f340a46a11a3a7a293a30b78d5067f52c4308f1e011b281e76fa2c8a191009687961acb808ead1248a90bcdee178ddd23c0571342782734d30ae SHA512 a2aa62e01022b018dc94deb72df6636c036f1484d608455a4751c80543ed91bb62c8f49e1121c0da2e11f85d71ffab3f098afb1e7fdf69b5d6fb834cd7a98d15
EBUILD pyproject-metadata-0.8.0.ebuild 685 BLAKE2B 0116014fe31a9a7bd8a6b80d67be72395ae6841980498a1a25483f601667ddda4577f124ae6c6aa831620a263f8b5bc214fbc89a7599d088877d04dc6708a61a SHA512 f6e76b6b50d36cc3b86c5dba76b769a694ea5c258dc2b539c90acf3da8b16ed250373187e3600c48f5cf35e0fc7a1fb06432ff004dfcba78e0877573a03928c0
EBUILD pyproject-metadata-0.9.0_beta4.ebuild 693 BLAKE2B 7c4fde8e1a9ac3455c1281e8595feef403da8c1dffa7a89bbe78e5fb57b08ec535a320fcaecd8f44060837fa5e8d4ea9e7b0bea90a559c55e5dde666db4f65ff SHA512 57ee8f7d7dc7a809f199b8ad0fefece7fcf59c7bda84206688a57b12a57e0615a24be7be2a3c9554504b9194d963f45b167895425f88aa5d1f3a96a84a88a6e2
EBUILD pyproject-metadata-0.9.0_beta5.ebuild 693 BLAKE2B 7c4fde8e1a9ac3455c1281e8595feef403da8c1dffa7a89bbe78e5fb57b08ec535a320fcaecd8f44060837fa5e8d4ea9e7b0bea90a559c55e5dde666db4f65ff SHA512 57ee8f7d7dc7a809f199b8ad0fefece7fcf59c7bda84206688a57b12a57e0615a24be7be2a3c9554504b9194d963f45b167895425f88aa5d1f3a96a84a88a6e2
+EBUILD pyproject-metadata-0.9.0_beta6.ebuild 693 BLAKE2B 7c4fde8e1a9ac3455c1281e8595feef403da8c1dffa7a89bbe78e5fb57b08ec535a320fcaecd8f44060837fa5e8d4ea9e7b0bea90a559c55e5dde666db4f65ff SHA512 57ee8f7d7dc7a809f199b8ad0fefece7fcf59c7bda84206688a57b12a57e0615a24be7be2a3c9554504b9194d963f45b167895425f88aa5d1f3a96a84a88a6e2
MISC metadata.xml 387 BLAKE2B 650cb0e9e08dfe6a53063142f0bb0877de29a0bc9b3684c745432d2c3f68eb8e3f7017f9869855947bb7c20ef1e914e5c6f9e994988045bbbc02c99a9ff01473 SHA512 29695056a6814d3b3238c698170ef4d83d6c8a896885c76356fe914b66e70bfc7c5f9923f8889c9c238417e3f387586700dae6a1bdf20f08af549f9b8663c488
diff --git a/dev-python/pyproject-metadata/pyproject-metadata-0.9.0_beta6.ebuild b/dev-python/pyproject-metadata/pyproject-metadata-0.9.0_beta6.ebuild
new file mode 100644
index 000000000000..d6ad0b0f270f
--- /dev/null
+++ b/dev-python/pyproject-metadata/pyproject-metadata-0.9.0_beta6.ebuild
@@ -0,0 +1,32 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{10..13} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="PEP 621 metadata parsing"
+HOMEPAGE="
+ https://github.com/pypa/pyproject-metadata/
+ https://pypi.org/project/pyproject-metadata/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos"
+
+RDEPEND="
+ >=dev-python/packaging-19[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ $(python_gen_cond_dep '
+ >=dev-python/tomli-1.0.0[${PYTHON_USEDEP}]
+ ' 3.10)
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/python-tests/Manifest b/dev-python/python-tests/Manifest
index c94091b5b093..ff91d8d1e2fb 100644
--- a/dev-python/python-tests/Manifest
+++ b/dev-python/python-tests/Manifest
@@ -10,10 +10,14 @@ DIST Python-3.12.5.tar.xz 20422396 BLAKE2B f127d1e12d12be84d5837282757787be8a0cf
DIST Python-3.12.5.tar.xz.asc 963 BLAKE2B 238167f6b4012136bc4274eee0dd4d958c4ee02d2505f9f64e5bcad15e84a9e9e12a9fc907651083543f1fce93579b752d4ccdf60c8cc421cb43e9034877bf1c SHA512 65ce92272a38cc6bf8bf56fa2a99a830cf5b33b811b1788508e7b6f8b5d3e93e0b143412f829271be40cbb4e7c154f84499239b3e8ab63b2ccf0a5a22d2f84ee
DIST Python-3.12.6.tar.xz 20434028 BLAKE2B 527fafdbfd0c1784ff72a93cdeb3f49666bae7d9343b6d1e4ef773fc52bd397081b41bec3ee9ed5b7652f28f09f29a1b553424cef26aebfa6c2e13499870bf2b SHA512 e658b0d59b5cfdc591d626e8282b9945759f27ee6fbc8bcb8670737db32ffc11fb832dfed9b0e80188fb5f7f3f39fe6dd6191ab7736376453c9e248321e9b063
DIST Python-3.12.6.tar.xz.asc 963 BLAKE2B d5f9e4c5053610a1a53769278e69d8a25e2fb047afb2a55dfee67917d8d200ebc159e614327ac87f34a4a9718cb3436b55190322ee231116b26074a78bb72642 SHA512 91a15bb7e8dd26616a2cdabe69c3ee81668cc67cb55a88b2be20433d24c9f8ae41c8f93f67aff2fa5858cd5b94600409cd472bd437a2fd33153483734ecd863f
+DIST Python-3.12.7.tar.xz 20444032 BLAKE2B eed8744261cab3b401963ec5187a8b814adb9a18f8d0a6a3d59c027a83cf8408524af9b20204b0a0861d173cc33c45ae37bb1542a1ace3344dc59c649087ff1f SHA512 4a363d3f852ad8f4fd1484aa4cec35494a3811be48ef67fadb2bdf2e2489ed07dc78fad6ab475257db503ddd64d39f9800f23a1c94b6bbd15b7f632cff0c90ae
+DIST Python-3.12.7.tar.xz.asc 963 BLAKE2B 8c7db3d1971d93a10c611a2e6dd3679d0b331b48df87b5fe410b089061e48753d98af67084d4f051a31ae803fce3aa3c7af7cba9c692640f50068bd1e46f40e6 SHA512 4d0a7a0da2c81888e93d8ff89ca2ed4bb85a7b0bd00f0d54a14e2c201affac2677ef3984d2b5aea253e624f6465548d9032eefdd9033c1eb3864d82cfd8d3df0
DIST Python-3.13.0rc1.tar.xz 20881016 BLAKE2B 3971a233e9c3c782973e0276740f00f8f2072eeda914663cdf7fa6c5de2437c60c441184344a64e25cab5c71a02c47cf4602dd08f127f310c885386cd887fec4 SHA512 fce7664f3298cfd191a7dc20b7b47acafdc50d058a2814312c94c30b65291395957d701e4661b9bb760417942acb5d27e5b8bb479bcda9a82cf29f53772a2daf
DIST Python-3.13.0rc1.tar.xz.asc 963 BLAKE2B 1c292362cd133dbbb1df1e0cf440e8adde2bc8db9174e550d5b76a09e80d0dbc11a0250e6f041e54fe58f25dc05f071c7af1aa910ae56ece5eb430502a2ba67c SHA512 3613829d9631f46b1b1ce11bfe5bb7fbfa49d97b639bb883c86737ea6ae8d15c24c526083cafb916011bd6d0b3b5fab2b17afd367edbdce99b32e0b4b845fd22
DIST Python-3.13.0rc2.tar.xz 21055084 BLAKE2B 017ac82c1938d1fea0a501efb9d1848115648f0472b7cbaa4eac65cf085c3c6410ea83aab2e935952ca1b415d603f4c5680fec7a15ce5b40794b2fdcef662666 SHA512 85e6e6e80970ca38119e4f95880fb12e2d1548e6d60235cfcd7f6aaf08588c483469e43dda0f004b95455c2fb88ca736c313b22ae37eb0d4e6460ef521855c8d
DIST Python-3.13.0rc2.tar.xz.asc 963 BLAKE2B bb75db12c424b7a05c8c0082f79c1ab6e2ad04440a27d2c964edc073fbdc1c0ac442b0b2a0719a33f8058bc7bc9097eb22e031299f8de5b6d88b74e4e5ece8a8 SHA512 6d80d089b55910628744d21b0382b6441d0550c139dbee71d68a7cd9e494bff1c8235a2a894f3c7a52f9af312480a4001f333e04c9054f32db7eefd2a7d39263
+DIST Python-3.13.0rc3.tar.xz 22527884 BLAKE2B 9c6423e9871b30af70ece10598e798da443b40b3e40cae86ec59d396184df005627a5edeedf34d31c7953f972850e41d1cc708edd8e39c1327d319b0f6973049 SHA512 152e5b6d64048c1779612e66d5999c424ca7c61c8a0f4973f7b3019629d6a7923b422aec0bee30e7bc2d589a807d87e15a19b8fb4446bcf082eb663885a49b36
+DIST Python-3.13.0rc3.tar.xz.asc 963 BLAKE2B e03d902eee320939cb77094e1b64e0101d0172ebdcc502255da1c0fc84476f43fafe900321c78cd78248a751b3a3921572ba4f305ed77ed78f175184b21f667f SHA512 c8f80b12f5e3021a11fc3ef5ce84572db9de7165ce89a03206cb0727b54f90ca2e444a16df064e6423e15b7bf2364db088b0c9315967dd340e735eabf7b892ce
DIST python-gentoo-patches-3.10.14_p3.tar.xz 22080 BLAKE2B f45ebe4df3dc39a842c93d741ef66fd0f9f7d1c6453d499d59b62eda41f01bc17e109205fedc506963d1f21eb3fbf9478564ff5e1a11c10336f855069a642ceb SHA512 db268f1482e5c46a71ce3aef2c2ab6d458cc5263aec360e61c6aff97f119f4f100becefbb575156b1b0239e591a496cb62a136597fadae8a5b630c7233c0040a
DIST python-gentoo-patches-3.10.15.tar.xz 15896 BLAKE2B f908b409dbcedeb4e2fa7255d9dedfb8f86f39b9b12612d45662d2305012692753874befa5377e1bcb2e8fc04b54bf206948e12eb7bc357a764c1b1e496e5997 SHA512 a647882ede8d7b97e301e472e91f4573dce9f8bf4e408449444625fdf79859a54fd828daa60c7960721f34c3d6d82e2e45db2c55f2fc093097a0db42f7363b8c
DIST python-gentoo-patches-3.10.15_p1.tar.xz 24048 BLAKE2B 191c28ad9bc781d6f3077870e8d40ff98a47a64009ecfbbd10fe2b3c5330692181837fd3e9b336fd01f936a39160fc12761b2ef9bc00843248ab978cda2e2767 SHA512 4461e351c991694415e2812e558d6c3d3f79295358623dc955bc0839691a170d95a3efd31c0bf9f0d6191e4184d7b55fdb485b948d591782fef5b060d7660cce
@@ -23,9 +27,13 @@ DIST python-gentoo-patches-3.11.9_p2.tar.xz 14916 BLAKE2B a910eae412fc1ce3657272
DIST python-gentoo-patches-3.12.5_p1.tar.xz 8632 BLAKE2B 13570bb465002cea3590b06d055b936ac0fcc68f6f258aca99a67f02f0b1cd28396424b686c5e080f593a74a744ff449e7220f51f167a858b2313be4c8b64b19 SHA512 eb9fb2d48236a9f7941fb8938310cc32d216eb01e19277175223b8b1fe1bfd606bde9a3c8bc66ad2e494fb87ce23b0d1acd359c375e4a11a5caae25450c11360
DIST python-gentoo-patches-3.12.6.tar.xz 6048 BLAKE2B 577032d7aa4bab423781bffad8e64f56b492dc31fbd20acd91f3d28356bd697603dfd47a3a9051538dde2af942ae513727ecea415d82f5082a992bd22b8cb2dd SHA512 6f1037e97bb362a3d04c3ec080dc062c5de6e4b779cda0d88f684422d757acd6fc6f971c7004a3f50bbc0161dd28c3146672f74e0e598066f9a8ba4e0eb2627e
DIST python-gentoo-patches-3.12.6_p2.tar.xz 8144 BLAKE2B 2f36ce972e0b3e2884c9df629e3aeb1af05e4c77dffb866ff28e08a0a7df3c7cf36a9de250d148d909c07fd5bad483c95b3267818657c04e7d0d6fe512e21f9a SHA512 caa86c6cf693f9293b3aa8944452d117b78c1c3f8d6a6aa658cb5c2d2ffb0cecc6cf14b293872bd2101766ee7167ba88183904b2814090f8cbc64c1fa3b771be
+DIST python-gentoo-patches-3.12.6_p4.tar.xz 8764 BLAKE2B a75b9bc3768f1e07272f43d1a8f0fb6858eee7c786bc3141cd152382c287ee984b92ff1301e5894db7c24af994ee52ac7374a3edf692aa4255c1413b73209020 SHA512 237c9e8b50173a757204621d7019f68f230ea3e520ea1f078528acfb509fe7f44c0919a8ac0245e79b1a51c3e3545dd9ded51047451048ca782e35b1c4365363
+DIST python-gentoo-patches-3.12.7.tar.xz 8752 BLAKE2B 79fd69eba63bb6aafe05aaf95a3733a3b66d0e2b86eae8498a4f4b98bd492029f1c197a9f70738d4d17283653921b13fc7aba854223e498cb0093a93228f7f0b SHA512 513deafc50f2af13c88b01f2651899ce1bb5bd52a8035ca3edb469095c910e473b66d9dc120a61b78310a406147436feee1f77dcba32ce85db00979a01431e61
DIST python-gentoo-patches-3.13.0rc1_p3.tar.xz 15148 BLAKE2B 668060644372e8ddf2d9686796ec304ae7689f5c10ecbc6862f054f96504c418b0e4df28675e4fbb610889f9a665a7a54f23633036b0df35f19f40ef8e6bab32 SHA512 c0cbdf9e0fe2ad29175302e548ebfda1d2af42af0ffeb363eb8b0dc53e1059f5abd7dcd02fd8e9eb9ba7bef2b34b7693633f0a62dc1ab933f43077feacf00fbc
DIST python-gentoo-patches-3.13.0rc2.tar.xz 5696 BLAKE2B 4e716d1d6225e811b598d029ef1dbdc413df614ef00ab8051ea697e633477a0114a3660cae037bdf4142f76c9f2efdefc25b604af11c31eb77d6d98d8f932cff SHA512 c20b53772bd7d305562657722aec70de78fffbf8ab7939f59d496e06c21b31fcd7b4a92573b1000d3bee4d90fd8b7422543f9cfdad15d60bc9a7ecf2a2259599
DIST python-gentoo-patches-3.13.0rc2_p1.tar.xz 7360 BLAKE2B be41dfc96c333ca19a4a21f0931287503094676d1eba1e9e5ae86bf07be571fb7ddaf75eab87dc2ce9364ea1861ca5307ae1b8cdbe2c6f9a1a0e351f42f0fb97 SHA512 38b8b5f5ec21d3cf02a4db43929f4dd870200bde655b9b3acd0f398ed0468f9e43996821510cebb5e01b5633afc7e6fc254b0c80062bb577a044d85e25d28ff2
+DIST python-gentoo-patches-3.13.0rc2_p2.tar.xz 8004 BLAKE2B a6d13ad3e306dbe67d21e5242610b824f714ac76e347d5537e891fe9b07016261ec82cfdd849409e5ff0b16dbd52b52c6a586a506b22baddc94621bc7a2b30ac SHA512 78fc8ba72b6b4260f73df02130222d9369feff99846ed94f091ee34418bfd168870089f2b8c58e526a58acf0e59080e7a3c45a7fe5121eab09ca350cb5aa5761
+DIST python-gentoo-patches-3.13.0rc3.tar.xz 8004 BLAKE2B e1ec0d1b0d84fd5875111ed9916879bb78fcf764f6d6c12f570083df9215e0585ff4137636756bf3674f991f3bccdd859ec21d37c4b6a8dd738da03ecdedaa75 SHA512 1495f5f68d6ae10ad676b075cf4540dcdc38b254a9f4309d76097bdda427e06b65df173c99cd9c4f74646a4a29f10faa38a5a0342b1a40c1ebb6f92cf5a6f3b4
EBUILD python-tests-3.10.14_p3.ebuild 1523 BLAKE2B a64635f4a2e078134c5d216b258e058d1af2af55e8817cb0eadcee7325e31df5e59208eb4158db4a6e99244fbfed6c9ae72fbd4836e7b4891092d131f09f4af0 SHA512 acb8dfd3c41f97fdaaa3cfa24c5f6a63ee44f9c19d2ee140c87d1e63643bb20c9daecd921a127425f2b33482df01a4060ec7ac49b8f49f18f883abe86cb67f84
EBUILD python-tests-3.10.15.ebuild 1606 BLAKE2B 43c9d3680c815644df042b4a88559651476517f2016dd7fd0f9f14c4fda26d3d676b1d727bd6e5c95347944cd43598e21361cf7cf81d3c0d155c09f6de61cfb8 SHA512 a14d52af3f19c787a160773bba0466cefcad88abd3b241e305a7b1fcb655ce4934d21b619d1cf65003a3a4042654c714300e307a9ec41ac6af358de28b33f97c
EBUILD python-tests-3.10.15_p1.ebuild 1607 BLAKE2B d5ac322bad70ae7df45029025046ed764831b8e1fac2ea964c7748ba8bab8dcbcbdab96c5700255e8dffe9f45bfbc9a39b38a1798e1dcbc6eadb4172ebfc2c87 SHA512 b81aa0c3f40dbef105f776ed1c9d9bb16e39b44d49772ee90ff6cde29570db0c1d3076f1087783b0d49cc8d2653fd87a90585424fd63fbec7dc3be947b373aca
@@ -35,7 +43,11 @@ EBUILD python-tests-3.11.9_p2.ebuild 1509 BLAKE2B ac4167b1c09ce7ad912359ada649fb
EBUILD python-tests-3.12.5_p1.ebuild 1420 BLAKE2B 92704f1963320d757fd1e753cc85069cdef4b504fc4e5a275ebd055a1da559470d12fe14645aa41cca03f89a7efc6f67a8fe1b39f9e53f0229c324f0d8582ee2 SHA512 92c37c9053cf161001f26501454888d6b608a6a47e1a5f0a1f1c6fd4e4f7bf88594e712bef7fbc30999df852741a4dcec9fca5cbbb584c71d32fecdf5792dfea
EBUILD python-tests-3.12.6.ebuild 1504 BLAKE2B d8f1cec8212407b33a927d704c0a8f20eaa6534ce8030f63b7249f90a5be4e805f3234cd9e61272119fd80f20a63f04568ef6b4977cecf02796e6412019aab35 SHA512 9cf7db4388ee4d2f0cb65585dd650a702c990fcc9d1ffbd4fe029b0d26e39d4adab03b4c49508e5d406aefa981af94d38bc8c767ead0825e267494714c150482
EBUILD python-tests-3.12.6_p2.ebuild 1505 BLAKE2B 1663242777e3f433b315e8e47025a8430f88f689d75d93d70cf91852f3200b1cd98225c8bcde7ffe403d2843c0ec812e54fa757e7e5e24c0b8bee057bee003f4 SHA512 eefc970f7ccebe40fde130e830f9ace079924d40e4343b75b38457bd26745e1ed837f576e3fddf41d4338e8e0772891c92462c18f21eec8c9d466934344309a6
+EBUILD python-tests-3.12.6_p4.ebuild 1510 BLAKE2B b3e2dc00626f5e66479205dcd616100c7015d6d171db418b09b2d2e8327f03d5aaadffc416bfd2ac075db049ea12880de4d402da85296f1c0b805931f2fd5987 SHA512 995b665085bf7dc6c63208cfdecf4a6b3044a50a8793db3a9eda49e9c6129abe4e934dc85032f18d37bca46bf578571ebc4465cc0740173f5e0b0ae109bf3268
+EBUILD python-tests-3.12.7.ebuild 1510 BLAKE2B b3e2dc00626f5e66479205dcd616100c7015d6d171db418b09b2d2e8327f03d5aaadffc416bfd2ac075db049ea12880de4d402da85296f1c0b805931f2fd5987 SHA512 995b665085bf7dc6c63208cfdecf4a6b3044a50a8793db3a9eda49e9c6129abe4e934dc85032f18d37bca46bf578571ebc4465cc0740173f5e0b0ae109bf3268
EBUILD python-tests-3.13.0_rc1_p3.ebuild 1426 BLAKE2B c30aea2c2cd004f6fac36aff8cb6a328c37565f0125c1034b8050189764f26201238651d4cc9af3dec8716084cceff0014ebe72b4a22d7a5a26bb252c4b7b2de SHA512 6f7f79d82f030459a75bbaeb92ec5d1b55e7b6617450b02db1ef6f51fb7468a9a9bb449d8e70f8efc6cb5a4f34d4aabd4d1191030adf67e4478341a0307ca632
EBUILD python-tests-3.13.0_rc2.ebuild 1516 BLAKE2B ef7ae9677e2d4d56e2f6dfcd57d7f3cc35882a53bddb994a80ae294de92c206a96599e15e558f7dfe304a3e50138625d9212a2b185935f8dc774b775120cc770 SHA512 e420d4e082fa6e907bf01d38710f256621865ea331781733760a43a04b9714c5a2460767586dfed1fb034f55931fbbb87bdb3439d9b47cc1b455b016395f0bff
EBUILD python-tests-3.13.0_rc2_p1.ebuild 1516 BLAKE2B ef7ae9677e2d4d56e2f6dfcd57d7f3cc35882a53bddb994a80ae294de92c206a96599e15e558f7dfe304a3e50138625d9212a2b185935f8dc774b775120cc770 SHA512 e420d4e082fa6e907bf01d38710f256621865ea331781733760a43a04b9714c5a2460767586dfed1fb034f55931fbbb87bdb3439d9b47cc1b455b016395f0bff
+EBUILD python-tests-3.13.0_rc2_p2.ebuild 1516 BLAKE2B ef7ae9677e2d4d56e2f6dfcd57d7f3cc35882a53bddb994a80ae294de92c206a96599e15e558f7dfe304a3e50138625d9212a2b185935f8dc774b775120cc770 SHA512 e420d4e082fa6e907bf01d38710f256621865ea331781733760a43a04b9714c5a2460767586dfed1fb034f55931fbbb87bdb3439d9b47cc1b455b016395f0bff
+EBUILD python-tests-3.13.0_rc3.ebuild 1516 BLAKE2B ef7ae9677e2d4d56e2f6dfcd57d7f3cc35882a53bddb994a80ae294de92c206a96599e15e558f7dfe304a3e50138625d9212a2b185935f8dc774b775120cc770 SHA512 e420d4e082fa6e907bf01d38710f256621865ea331781733760a43a04b9714c5a2460767586dfed1fb034f55931fbbb87bdb3439d9b47cc1b455b016395f0bff
MISC metadata.xml 320 BLAKE2B 4a0e2e1a1885c485f99da97298accb9b35bf3bfa9b5e442ad0a92ed13e9e5b5d754bd10fff44e90862e7277aa11ebff8e41354cff1d63307258ed25ba9336d2f SHA512 5c78ec7965ba88dc488b4fa2a39f19f27e34c1ed770d03d13bb9f8b5b39257288957ede00ec85b46fff42f24e052960f0cfe94b48e2269465e0afe44adcdac99
diff --git a/dev-python/python-tests/python-tests-3.12.6_p4.ebuild b/dev-python/python-tests/python-tests-3.12.6_p4.ebuild
new file mode 100644
index 000000000000..b2a3254a3e50
--- /dev/null
+++ b/dev-python/python-tests/python-tests-3.12.6_p4.ebuild
@@ -0,0 +1,69 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_12 )
+
+inherit python-r1 verify-sig
+
+MY_PV=${PV}
+MY_P="Python-${MY_PV%_p*}"
+PYVER=$(ver_cut 1-2)
+PATCHSET="python-gentoo-patches-${MY_PV}"
+
+DESCRIPTION="Test modules from dev-lang/python"
+HOMEPAGE="
+ https://www.python.org/
+ https://github.com/python/cpython/
+"
+SRC_URI="
+ https://www.python.org/ftp/python/${PV%%_*}/${MY_P}.tar.xz
+ https://dev.gentoo.org/~mgorny/dist/python/${PATCHSET}.tar.xz
+ verify-sig? (
+ https://www.python.org/ftp/python/${PV%%_*}/${MY_P}.tar.xz.asc
+ )
+"
+S="${WORKDIR}/${MY_P}/Lib"
+
+LICENSE="PSF-2"
+SLOT="${PYVER}"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="
+ ${PYTHON_DEPS}
+ ~dev-lang/python-${PV}:${PYVER}
+ !<dev-lang/python-3.12.5_p1-r1:${PYVER}
+"
+BDEPEND="
+ ${RDEPEND}
+ verify-sig? ( >=sec-keys/openpgp-keys-python-20221025 )
+"
+
+VERIFY_SIG_OPENPGP_KEY_PATH=/usr/share/openpgp-keys/python.org.asc
+
+src_unpack() {
+ if use verify-sig; then
+ verify-sig_verify_detached "${DISTDIR}"/${MY_P}.tar.xz{,.asc}
+ fi
+ default
+}
+
+src_prepare() {
+ local PATCHES=(
+ "${WORKDIR}/${PATCHSET}"
+ )
+
+ cd .. || die
+ default
+}
+
+src_install() {
+ python_setup
+ # keep in sync with TESTSUBDIRS in Makefile.pre.in
+ python_moduleinto "/usr/lib/python${PYVER}"
+ python_domodule test
+ python_moduleinto "/usr/lib/python${PYVER}/idlelib"
+ python_domodule idlelib/idle_test
+}
diff --git a/dev-python/python-tests/python-tests-3.12.7.ebuild b/dev-python/python-tests/python-tests-3.12.7.ebuild
new file mode 100644
index 000000000000..b2a3254a3e50
--- /dev/null
+++ b/dev-python/python-tests/python-tests-3.12.7.ebuild
@@ -0,0 +1,69 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_12 )
+
+inherit python-r1 verify-sig
+
+MY_PV=${PV}
+MY_P="Python-${MY_PV%_p*}"
+PYVER=$(ver_cut 1-2)
+PATCHSET="python-gentoo-patches-${MY_PV}"
+
+DESCRIPTION="Test modules from dev-lang/python"
+HOMEPAGE="
+ https://www.python.org/
+ https://github.com/python/cpython/
+"
+SRC_URI="
+ https://www.python.org/ftp/python/${PV%%_*}/${MY_P}.tar.xz
+ https://dev.gentoo.org/~mgorny/dist/python/${PATCHSET}.tar.xz
+ verify-sig? (
+ https://www.python.org/ftp/python/${PV%%_*}/${MY_P}.tar.xz.asc
+ )
+"
+S="${WORKDIR}/${MY_P}/Lib"
+
+LICENSE="PSF-2"
+SLOT="${PYVER}"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="
+ ${PYTHON_DEPS}
+ ~dev-lang/python-${PV}:${PYVER}
+ !<dev-lang/python-3.12.5_p1-r1:${PYVER}
+"
+BDEPEND="
+ ${RDEPEND}
+ verify-sig? ( >=sec-keys/openpgp-keys-python-20221025 )
+"
+
+VERIFY_SIG_OPENPGP_KEY_PATH=/usr/share/openpgp-keys/python.org.asc
+
+src_unpack() {
+ if use verify-sig; then
+ verify-sig_verify_detached "${DISTDIR}"/${MY_P}.tar.xz{,.asc}
+ fi
+ default
+}
+
+src_prepare() {
+ local PATCHES=(
+ "${WORKDIR}/${PATCHSET}"
+ )
+
+ cd .. || die
+ default
+}
+
+src_install() {
+ python_setup
+ # keep in sync with TESTSUBDIRS in Makefile.pre.in
+ python_moduleinto "/usr/lib/python${PYVER}"
+ python_domodule test
+ python_moduleinto "/usr/lib/python${PYVER}/idlelib"
+ python_domodule idlelib/idle_test
+}
diff --git a/dev-python/python-tests/python-tests-3.13.0_rc2_p2.ebuild b/dev-python/python-tests/python-tests-3.13.0_rc2_p2.ebuild
new file mode 100644
index 000000000000..34d84eddd7b6
--- /dev/null
+++ b/dev-python/python-tests/python-tests-3.13.0_rc2_p2.ebuild
@@ -0,0 +1,69 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_13 )
+
+inherit python-r1 verify-sig
+
+MY_PV=${PV/_}
+MY_P="Python-${MY_PV%_p*}"
+PYVER=$(ver_cut 1-2)
+PATCHSET="python-gentoo-patches-${MY_PV}"
+
+DESCRIPTION="Test modules from dev-lang/python"
+HOMEPAGE="
+ https://www.python.org/
+ https://github.com/python/cpython/
+"
+SRC_URI="
+ https://www.python.org/ftp/python/${PV%%_*}/${MY_P}.tar.xz
+ https://dev.gentoo.org/~mgorny/dist/python/${PATCHSET}.tar.xz
+ verify-sig? (
+ https://www.python.org/ftp/python/${PV%%_*}/${MY_P}.tar.xz.asc
+ )
+"
+S="${WORKDIR}/${MY_P}/Lib"
+
+LICENSE="PSF-2"
+SLOT="${PYVER}"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="
+ ${PYTHON_DEPS}
+ ~dev-lang/python-${PV}:${PYVER}
+ !<dev-lang/python-3.13.0_rc1_p3-r1:${PYVER}
+"
+BDEPEND="
+ ${RDEPEND}
+ verify-sig? ( >=sec-keys/openpgp-keys-python-20221025 )
+"
+
+VERIFY_SIG_OPENPGP_KEY_PATH=/usr/share/openpgp-keys/python.org.asc
+
+src_unpack() {
+ if use verify-sig; then
+ verify-sig_verify_detached "${DISTDIR}"/${MY_P}.tar.xz{,.asc}
+ fi
+ default
+}
+
+src_prepare() {
+ local PATCHES=(
+ "${WORKDIR}/${PATCHSET}"
+ )
+
+ cd .. || die
+ default
+}
+
+src_install() {
+ python_setup
+ # keep in sync with TESTSUBDIRS in Makefile.pre.in
+ python_moduleinto "/usr/lib/python${PYVER}"
+ python_domodule test
+ python_moduleinto "/usr/lib/python${PYVER}/idlelib"
+ python_domodule idlelib/idle_test
+}
diff --git a/dev-python/python-tests/python-tests-3.13.0_rc3.ebuild b/dev-python/python-tests/python-tests-3.13.0_rc3.ebuild
new file mode 100644
index 000000000000..34d84eddd7b6
--- /dev/null
+++ b/dev-python/python-tests/python-tests-3.13.0_rc3.ebuild
@@ -0,0 +1,69 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_13 )
+
+inherit python-r1 verify-sig
+
+MY_PV=${PV/_}
+MY_P="Python-${MY_PV%_p*}"
+PYVER=$(ver_cut 1-2)
+PATCHSET="python-gentoo-patches-${MY_PV}"
+
+DESCRIPTION="Test modules from dev-lang/python"
+HOMEPAGE="
+ https://www.python.org/
+ https://github.com/python/cpython/
+"
+SRC_URI="
+ https://www.python.org/ftp/python/${PV%%_*}/${MY_P}.tar.xz
+ https://dev.gentoo.org/~mgorny/dist/python/${PATCHSET}.tar.xz
+ verify-sig? (
+ https://www.python.org/ftp/python/${PV%%_*}/${MY_P}.tar.xz.asc
+ )
+"
+S="${WORKDIR}/${MY_P}/Lib"
+
+LICENSE="PSF-2"
+SLOT="${PYVER}"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="
+ ${PYTHON_DEPS}
+ ~dev-lang/python-${PV}:${PYVER}
+ !<dev-lang/python-3.13.0_rc1_p3-r1:${PYVER}
+"
+BDEPEND="
+ ${RDEPEND}
+ verify-sig? ( >=sec-keys/openpgp-keys-python-20221025 )
+"
+
+VERIFY_SIG_OPENPGP_KEY_PATH=/usr/share/openpgp-keys/python.org.asc
+
+src_unpack() {
+ if use verify-sig; then
+ verify-sig_verify_detached "${DISTDIR}"/${MY_P}.tar.xz{,.asc}
+ fi
+ default
+}
+
+src_prepare() {
+ local PATCHES=(
+ "${WORKDIR}/${PATCHSET}"
+ )
+
+ cd .. || die
+ default
+}
+
+src_install() {
+ python_setup
+ # keep in sync with TESTSUBDIRS in Makefile.pre.in
+ python_moduleinto "/usr/lib/python${PYVER}"
+ python_domodule test
+ python_moduleinto "/usr/lib/python${PYVER}/idlelib"
+ python_domodule idlelib/idle_test
+}
diff --git a/dev-python/recurring-ical-events/Manifest b/dev-python/recurring-ical-events/Manifest
index 462ab1aa73ab..55664bc82b59 100644
--- a/dev-python/recurring-ical-events/Manifest
+++ b/dev-python/recurring-ical-events/Manifest
@@ -1,5 +1,5 @@
-DIST python-recurring-ical-events-3.3.0.gh.tar.gz 472075 BLAKE2B 70f531550a8d766e027fb9416883880385731c8b72a4115e2311024bfc4eac8fc7e8b06dc079309430e8d9da6d725c3e2efce8ce7e1ae93ca7f1d1cd288ff41b SHA512 d414d2b035c80d46fa7ea63c9df995edf632841b4f2bd9072d9004a2aaf8a9468de276330c5f939f172a93121577bfd1402606b9fab525af9aa662cd49c16501
DIST python-recurring-ical-events-3.3.1.gh.tar.gz 478584 BLAKE2B 79728b5a1aed1495e468cf0ad86ee1a130b6f5100576ecae93ad2d278ae998fb4a89825c046800c6064eda674499bd5ca2cc29a2031c41486f23155de6d67522 SHA512 dd2b4de334ef48efaf201b833cf21cc25be3a39f9c06466a6a25a0f8402d01d7262c4030ba0878d74efb6b3011bdcf5c7fcea5b114ab908c7fa30a37c3ba6f88
-EBUILD recurring-ical-events-3.3.0.ebuild 1057 BLAKE2B e96f600f7e031826bc691cda6a9b00947b1b72acb119b5469471cfcec45cc3c308394c2c42b05bffce131dce411da50cdf1e8693b035b0d1402a2f5d59adf1b8 SHA512 ce91f1daa472dc13d5f3023eb8bfdcd90715dd277296d14743e342a7ff368372a798ca27ccc11034d2de834476d403f4f181737fb09b6fd6594ccc3fa1a0a1e2
+DIST python-recurring-ical-events-3.3.2.gh.tar.gz 478532 BLAKE2B 70bcad67a8921f0a6b1483d7bbadcb7a3a9e61547601c4d679120237572fa3034743d655d85e68dfa6386396acd487ee52edb57d1fcdcc6aeb05eee7c4ca5820 SHA512 f5c59235a3746eb95af649517b2e06d9602488e42bcfa28e2609cf42b2e325d2e7e8d3b86e1cee9b83364d55f3e2e90f6bb36828d0068ad8ad146575be4fc584
EBUILD recurring-ical-events-3.3.1.ebuild 1057 BLAKE2B e96f600f7e031826bc691cda6a9b00947b1b72acb119b5469471cfcec45cc3c308394c2c42b05bffce131dce411da50cdf1e8693b035b0d1402a2f5d59adf1b8 SHA512 ce91f1daa472dc13d5f3023eb8bfdcd90715dd277296d14743e342a7ff368372a798ca27ccc11034d2de834476d403f4f181737fb09b6fd6594ccc3fa1a0a1e2
+EBUILD recurring-ical-events-3.3.2.ebuild 1057 BLAKE2B 375d2636f97352af3d9785d46d533874ca39245fadb6c7baf79d3e2a9b3aa8febd6bf86f0b52ea1a20db79ceba13d04147f3e1ebb3951ca3a75af32cb859e75f SHA512 4e57efd1780d5d83572ade222bd30998455ef6408c335569f47778ce5cd066b16080973e76c21959416b6b27237dc0e6598227d5b1866584a6fc1019868c2e11
MISC metadata.xml 431 BLAKE2B 19ac0f0a385fb9b0524bf641831fbe3c02f35f3ada35922b297563f871cb8e745404e04d18d9f7428ef5b3cca27f5205f4a7f99e85e2a3da18542a19574f04de SHA512 35283cfbd447b3ec9d0d97ec7c11580db012ee60076b12ba733962d58896203a162ece04a9015eca8cc556f28fac307fc9ddeb27c3ea9cb9c8b2d6df0cf93a50
diff --git a/dev-python/recurring-ical-events/recurring-ical-events-3.3.0.ebuild b/dev-python/recurring-ical-events/recurring-ical-events-3.3.2.ebuild
index 6c85248725e5..61966884487f 100644
--- a/dev-python/recurring-ical-events/recurring-ical-events-3.3.0.ebuild
+++ b/dev-python/recurring-ical-events/recurring-ical-events-3.3.2.ebuild
@@ -28,8 +28,8 @@ RDEPEND="
<dev-python/icalendar-7[${PYTHON_USEDEP}]
>=dev-python/icalendar-5.0.9[${PYTHON_USEDEP}]
>=dev-python/python-dateutil-2.8.1[${PYTHON_USEDEP}]
- <dev-python/x-wr-timezone-1.0.0[${PYTHON_USEDEP}]
- >=dev-python/x-wr-timezone-0.0.5[${PYTHON_USEDEP}]
+ <dev-python/x-wr-timezone-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/x-wr-timezone-1.0.0[${PYTHON_USEDEP}]
"
BDEPEND="
test? (
diff --git a/dev-python/sigstore-protobuf-specs/Manifest b/dev-python/sigstore-protobuf-specs/Manifest
index 33e4ddc70a35..540199f6c3eb 100644
--- a/dev-python/sigstore-protobuf-specs/Manifest
+++ b/dev-python/sigstore-protobuf-specs/Manifest
@@ -1,3 +1,5 @@
DIST sigstore_protobuf_specs-0.3.2.tar.gz 17529 BLAKE2B e12bcd471f20c993b0fd5cabc2abf424fd5d185d159321c34c14175d5e11089c18d631f612d81b083176359dc66948691e3711de4c91e1c64e55a5bd7df85543 SHA512 52559a5b2eb4f108950c41ab885fa22169b30de674af08314dd81dc1dbc568b887427d0fee497f5b98c230700f8d81c6901ccad77bddd7ca89f1a453d48c94ae
+DIST sigstore_protobuf_specs-0.3.3.tar.gz 17475 BLAKE2B d973b24d55dc2e5eda4dbb20175f3d9d481c619748dc720934843c42744e5640fdb39c6902cd736df23f97cdf0c267615d4c0d31ec491a7296c19ee9a7ee9081 SHA512 4bf412d29212efc87782d8585b58cadc801b0246fb6b8bc02e163c04f968694fd07d3bdbe8ce60ec4546bdb6c0b43a6ed42b1f56423eb624cc1f2b5b59b3b304
EBUILD sigstore-protobuf-specs-0.3.2.ebuild 523 BLAKE2B ba6041775f754eb66a1c54ae461a06c81138b8b252e84c7fb6bdf9d84981015a68489cc2607b96a3ec8dadb152d9d748dd0be083dc8beca957876f88773b7468 SHA512 185f3578b0a5a85a4a92dd6f63b7d3820d1aefff080c4550d87a0882a416fca55b55498f86eccfa21ae7b62ce4269457dab4765abf4c0a64ecea49ffac0ded75
+EBUILD sigstore-protobuf-specs-0.3.3.ebuild 523 BLAKE2B 577ea820fd7325cf641263c8744b343f5b3d546816822051e7ac41560a4a121b4903629625c0fc5aea1cf6bba8b0cbe7c69465ada3c894f361cf22d910f0619b SHA512 9ea8290df450e5dfac8ebf2e2f129d0fe1bb7b5a0d14f3009eae0c8d4879c2e9b30f5a80aa15d1684502e0d3a40ee86b9f51bc855f62dcfa8ea28a5aa42749d4
MISC metadata.xml 392 BLAKE2B 023a533646115633f2af81b696db1457486ac50a75f365e96bb73c607eaec538e59a9164f5673130b2689b306c4c57f522ac0b9ad2c29db0f250ba06d967f597 SHA512 a8e6e710c8e9b214b46e18856e36dc89be06edff80cc5fea38985b3d7c10f7e8b37347baf29180a409b9cc091dc9716a537fd8aa9474722f34fc0c807b6d4633
diff --git a/dev-python/sigstore-protobuf-specs/sigstore-protobuf-specs-0.3.3.ebuild b/dev-python/sigstore-protobuf-specs/sigstore-protobuf-specs-0.3.3.ebuild
new file mode 100644
index 000000000000..e86c7d44ea74
--- /dev/null
+++ b/dev-python/sigstore-protobuf-specs/sigstore-protobuf-specs-0.3.3.ebuild
@@ -0,0 +1,23 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A library for serializing and deserializing Sigstore messages"
+HOMEPAGE="
+ https://github.com/sigstore/protobuf-specs/tree/main/gen/pb-python/
+ https://pypi.org/project/sigstore-protobuf-specs/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ ~dev-python/betterproto-2.0.0_beta7[${PYTHON_USEDEP}]
+"
diff --git a/dev-python/sigstore/Manifest b/dev-python/sigstore/Manifest
index f3332e4177b1..36c3a5a5e890 100644
--- a/dev-python/sigstore/Manifest
+++ b/dev-python/sigstore/Manifest
@@ -1,3 +1,3 @@
DIST sigstore-python-3.3.0.gh.tar.gz 194796 BLAKE2B 34773c7d4d1a2e5c57534ebfc2ea7e8d8769a1243d082bf0298c6e85e14fab289551f951646aaa482deea5101cbb447d8629a05c31937e7d618f45077507ed12 SHA512 7a5659d4c49ba2bea9974e6588d673d1a16b9618ff3d45c8da68d9f77c098a872b5f68cdf2ea402de50deb8141ea98091bd199243fbde217f9076f3b155c5226
-EBUILD sigstore-3.3.0.ebuild 1581 BLAKE2B 6e245f62994c03dd6a68741aa127667065d9acf2adacb99fde0182fedf6cedec1b4ec5c693bab9dbc48fd5ccafc8924a90ee96f9931c4c5e3b9de6442599089d SHA512 c0b7c314b665687aad9c130aca69dde2c62371b9e54112aaea0798bb9195e32a6ebd123e3077ee136ab1af9a3ef951976ef0e8e8dcb0947ae07019324f9bb270
+EBUILD sigstore-3.3.0-r1.ebuild 1580 BLAKE2B b9bcf08a98310ca59d1b429c74748dc02514ab01661b241ba51f4b2b80e02765164f81bc3af6522a1d10332d76e48e36fbb95d2d8d349d73048aee52651042a6 SHA512 afc2a30f6442467135813c3dcd4d98b9e352b39947813cc77ad26d34acbb92930600fa083127c941f1488b4a5ae8be361f0912139daaf11b9a13e764a5ad8184
MISC metadata.xml 378 BLAKE2B e97135e601efc335e133822e3933e68570c43a454252073fb8a080a334801dca876311646e694062ec5e869b6d701189a2fad737d80a8b6ca874d61927a563c5 SHA512 bb372e77d78042dc8866f87c6d278ace3297ed747d520b755fef5e8ea5bdb15d65a6ac7b10565e84c27cdfc1497f5479320fd89b539093256a0c4af931442072
diff --git a/dev-python/sigstore/sigstore-3.3.0.ebuild b/dev-python/sigstore/sigstore-3.3.0-r1.ebuild
index cb4a9db7d089..849c52693e55 100644
--- a/dev-python/sigstore/sigstore-3.3.0.ebuild
+++ b/dev-python/sigstore/sigstore-3.3.0-r1.ebuild
@@ -36,7 +36,7 @@ RDEPEND="
dev-python/requests[${PYTHON_USEDEP}]
>=dev-python/rfc8785-0.1.2[${PYTHON_USEDEP}]
>=dev-python/rich-13.0[${PYTHON_USEDEP}]
- >=dev-python/sigstore-protobuf-specs-0.3.2[${PYTHON_USEDEP}]
+ ~dev-python/sigstore-protobuf-specs-0.3.2[${PYTHON_USEDEP}]
~dev-python/sigstore-rekor-types-0.0.13[${PYTHON_USEDEP}]
>=dev-python/tuf-5.0[${PYTHON_USEDEP}]
$(python_gen_cond_dep '
diff --git a/dev-python/spdx-tools/Manifest b/dev-python/spdx-tools/Manifest
index a6290c722665..9e54f27c59ca 100644
--- a/dev-python/spdx-tools/Manifest
+++ b/dev-python/spdx-tools/Manifest
@@ -1,3 +1,5 @@
DIST spdx-tools-0.8.2.tar.gz 680032 BLAKE2B 0556c129f5800e843ab202ebcac5055a42577e727582b66d37af7d245a59c427388880362b78b83e6993b467bba0187fae2cc82151053fc932352a9524a36b5f SHA512 610f1718f72aa10eb3c4fe920148ca8b777a7331d149e2ed3e02e36098a75e80ce5bc853b540a0fcdddb17ffbb8e37fe863b381824caff8961853c41d9e61c80
+DIST spdx-tools-0.8.3.tar.gz 681626 BLAKE2B 9de5cdd79d7aa4e1da18ff1908d6e1a24673d3ce71bc3c4f31a8244068819f0ce0d0ab366affe976460fd5361c60c7cb1cec9c7a4e1ddd42f728026c7f8e7492 SHA512 1cff3125ea78edc6b1e91f6ca7830887e62d8bf17714e445cdabf64bdd813a59dafe4bab771dd690a18f9b970161f3ab1aa1bc29661ad37f51f86a839520dbd2
EBUILD spdx-tools-0.8.2.ebuild 952 BLAKE2B 4570a92d1d98b7aad3dd148f06b79b8f63eb9c00a3fe1b37404978ae78e6d445c58f15201c5754a4dc8b1e7c8bfe80ba5ba7ebbfa88b61b1fcc2652b45c88395 SHA512 1634cd75d195ae9fb6cc66bfb9b675ba9cc3458e91a0db8386c99b203b4b7fc634ba926d8e58be8e66eec61f4e8bda3edba8919b791d15245915ba0dddac3bc6
+EBUILD spdx-tools-0.8.3.ebuild 1183 BLAKE2B 47ea43a826c6a18abc4aef8a1b9ce31b50d0793be710862b828e5d22f2d28f02b7f573a1a8b4c167d97e17f54f5c8035689713768ec64e10ddff39f1a92ef57d SHA512 784798a1dde7b6b9b4e81a365705d566572dab1263e28b5faf91d86233b9175a412031b14440b0a4d2524f822f10f4f3e1de361edc99ab70c8460d0d8cd4719f
MISC metadata.xml 395 BLAKE2B be8d5c54f7a85f8343708fea0a9dcb585dfdc044e8c52ebea999457e24317ba82dc75bba952be5d3c808cfd23cca3270d5181ce1da679ff8dbcb6e078eea7041 SHA512 20435dcd36d2501aa45389dc2d3b8810be0a37767e1eaa1c784e5238a1055fe0aca995db97c184e6baf668abc5216360be9d2e8b6e0461fc7a736545aa481baf
diff --git a/dev-python/spdx-tools/spdx-tools-0.8.3.ebuild b/dev-python/spdx-tools/spdx-tools-0.8.3.ebuild
new file mode 100644
index 000000000000..f9456297def8
--- /dev/null
+++ b/dev-python/spdx-tools/spdx-tools-0.8.3.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python library to parse, validate and create SPDX documents"
+HOMEPAGE="
+ https://github.com/spdx/tools-python/
+ https://pypi.org/project/spdx-tools/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv"
+
+RDEPEND="
+ dev-python/beartype[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ dev-python/license-expression[${PYTHON_USEDEP}]
+ dev-python/ply[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ dev-python/rdflib[${PYTHON_USEDEP}]
+ dev-python/semantic-version[${PYTHON_USEDEP}]
+ dev-python/uritools[${PYTHON_USEDEP}]
+ dev-python/xmltodict[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ # requires pyshacl
+ tests/spdx3/validation/json_ld/test_shacl_validation.py
+)
+
+python_configure() {
+ local -x PYTHONPATH=src:${PYTHONPATH}
+ # generate parsetab early, so it gets installed properly
+ "${EPYTHON}" <<-EOF || die
+ import spdx_tools.spdx.parser.tagvalue.tagvalue_parser as p
+ p.Parser()
+ EOF
+}
diff --git a/dev-python/x-wr-timezone/Manifest b/dev-python/x-wr-timezone/Manifest
index 56084b4b2815..5984ebf1c722 100644
--- a/dev-python/x-wr-timezone/Manifest
+++ b/dev-python/x-wr-timezone/Manifest
@@ -1,3 +1,5 @@
DIST x-wr-timezone-0.0.7.gh.tar.gz 21988 BLAKE2B fa8ebf44de060b8e716dda0970dbf881f635d1fbaffb1f6fcfe1f847d4b3b765dbd89141a8aa96393cd205bdfd7e913f9405e22fdb22bbbe148ef0c0a75a291f SHA512 6d37de592741a8786855a1f6c8b61165b3267869dcd86e0b9fe56de31f326ee2f7206ab35c45c21713d4cc808d1b14934d6b5b9daac90791d13b0363af5b5cbf
+DIST x-wr-timezone-1.0.1.gh.tar.gz 22182 BLAKE2B 18ac9281b484de7eb1b4da9063743b98b63e259f7ad914c68194d49e27aa3528f0466e6e7c6c668e14e58ef1439f2c8db6bb8b8f94e51635a63f13af98db826b SHA512 4c388efc2b5710f5db24de218d72ef4ddfd951186fa67631a34f48d49ffcd391195f0232104c586eeae18fb414eab61b3bb1f52d39416c2123eb452a44f20ad6
EBUILD x-wr-timezone-0.0.7.ebuild 704 BLAKE2B a504e8f396644338a05bb1b0f89e5131ca9a96db61317ffd212f6984253458a380926515ccf3abc1b5c28f5adaad1625723061d13515412f4e8cfd379d1b50e2 SHA512 1e91d99b6e6248c70eb79ea20539877ab0c1ebabc9bf42675fcb8846a2178a2770c41045109c6ee3c6062e369909031f56586cf80d5918d3fd867fae15b26630
+EBUILD x-wr-timezone-1.0.1.ebuild 766 BLAKE2B 2d0f1b3d4bdd274372e02c603501fe4acc215718f4a531d147f03da52dec180e79437b255dbc56d3fed7de5b82938e2e65036cfa5b367c0d7717630ea5dd2802 SHA512 cf27c0f2f96b2281e7d0a7148b03793cb83e4e5385073ad950286c586463d2d5d062d9b7ecd5ebe90bd416d43936e5047a05b6bda43849307c682d817de32f93
MISC metadata.xml 408 BLAKE2B 9ebff9e35e34aa0db0fef0f13adff59a19f830403d467344b654649fecc102a1bcc18acbbce3194ea77946eb097181ef27b0010b03a9b28b24cb01c014daaf7f SHA512 53620e9fece9c7bf49101828bfc7625d1c9c329113716af89804a560e38b08ecf6528a60b06081cb731aaed85fa4ea219ebcacba143eb52313fe8b98e1aca565
diff --git a/dev-python/x-wr-timezone/x-wr-timezone-1.0.1.ebuild b/dev-python/x-wr-timezone/x-wr-timezone-1.0.1.ebuild
new file mode 100644
index 000000000000..e395fc468780
--- /dev/null
+++ b/dev-python/x-wr-timezone/x-wr-timezone-1.0.1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 2023-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..13} )
+
+inherit distutils-r1
+
+DESCRIPTION="Convert calendars using X-WR-TIMEZONE to standard ones"
+HOMEPAGE="
+ https://github.com/niccokunzmann/x-wr-timezone/
+ https://pypi.org/project/x-wr-timezone/
+"
+SRC_URI="
+ https://github.com/niccokunzmann/x-wr-timezone/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="LGPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/icalendar-5.0.11[${PYTHON_USEDEP}]
+ dev-python/tzdata[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/pytz[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ test/test_readme.py
+)